package com.cloud;

import com.cloud.framework.util.PrintApplicationInfo;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * spring-boot项目启动入口
 *
 * @author cyty
 * @since 2020-07-08
 */
@EnableAsync
@EnableScheduling
@EnableCaching
@EnableTransactionManagement
@EnableConfigurationProperties
@ServletComponentScan
@MapperScan({"com.cloud.**.mapper", "com.example.**.mapper"})
@SpringBootApplication(scanBasePackages = {"com.cloud"})
public class
StartApplication {

    public static void main(String[] args) {

        // 启动项目
        ConfigurableApplicationContext context = SpringApplication.run(StartApplication.class, args);
        // 打印项目信息
        PrintApplicationInfo.print(context);
        // 打印项目提示
        PrintApplicationInfo.printTip(context);
    }

}
