

package com.cloud.framework.common.api;

/**
 * <p>
 * REST API 响应码
 * </p>
 *
 * @author cyty
 * @since 2018-11-08
 */
public enum ApiCode {
    /**
     * 非法访问
     **/
    UNAUTHORIZED(401, "非法访问"),
    /**
     * 没有权限
     **/
    NOT_PERMISSION(403, "没有权限"),
    /**
     * 你请求的资源不存在
     **/
    NOT_FOUND(404, "你请求的资源不存在"),
    /**
     * 操作失败
     **/
    FAIL(500, "操作失败"),
    /**
     * 登录失败
     **/
    LOGIN_EXCEPTION(4000, "登录失败"),
    /**
     * 系统异常
     **/
    SYSTEM_EXCEPTION(5000, "系统异常"),
    /**
     * 请求参数校验异常
     **/
    PARAMETER_EXCEPTION(5001, "请求参数校验异常"),
    /**
     * 请求参数解析异常
     **/
    PARAMETER_PARSE_EXCEPTION(5002, "请求参数解析异常"),
    /**
     * HTTP内容类型异常
     **/
    HTTP_MEDIA_TYPE_EXCEPTION(5003, "HTTP内容类型异常"),
    /**
     * 系统处理异常
     **/
    SPRING_BOOT_PLUS_EXCEPTION(5100, "系统处理异常"),
    /**
     * 业务处理异常
     **/
    BUSINESS_EXCEPTION(5101, "业务处理异常"),
    /**
     * 数据库处理异常
     **/
    DAO_EXCEPTION(5102, "数据库处理异常"),
    /**
     * 验证码校验异常
     **/
    VERIFICATION_CODE_EXCEPTION(5103, "验证码校验异常"),
    /**
     * 登录授权异常
     **/
    AUTHENTICATION_EXCEPTION(5104, "登录授权异常"),
    /**
     * 没有访问权限
     **/
    UNAUTHENTICATED_EXCEPTION(5105, "没有访问权限"),
    /**
     * 没有访问权限
     **/
    UNAUTHORIZED_EXCEPTION(5106, "没有访问权限"),
    /**
     * JWT Token解析异常
     **/
    JWTDECODE_EXCEPTION(5107, "Token解析异常"),

    /**
     *
     */
    HTTP_REQUEST_METHOD_NOT_SUPPORTED_EXCEPTION(5108, "METHOD NOT SUPPORTED"),

    /**  -----------------------------------ApiCode(version2) ---------------------------------------**/
    /**
     * ---------------成功 begin---------------
     **/
    SUCCESS(0, "操作成功"),
    /**  -----------------成功 end----------------- **/


    /**
     * ---------------参数验证异常处理 begin-----------------
     **/
    PARAMETER_ISNULL_ERR(40000, "参数为空"),
    PARAMETER_TYPE_ERR(40001, "参数类型错误"),
    PARAMETER_USERNAME_LENGTH_ERR(40002, "用户名长度不合法"),
    PARAMETER_PASSWORD_LENGTH_ERR(40003, "密码长度不合法"),
    PARAMETER_PASSWORD_MISMATCHING_ERR(40004, "两次输入密码不一致"),
    PARAMETER_CODE_ERR(40005, "验证码错误"),
    PARAMETER_CODE_TIMEOUT_ERR(40006, "验证码过期或不存在"),
    PARAMETER_PHONE_VERIFY_ERR(40007, "手机号不合法"),
    PARAMETER_ID_CARD_VERIFY_ERR(40008, "身份证不合法"),
    PARAMETER_VERIFY_ERR(40009, "参数效验错误"),
    /**  ----------------参数验证异常处理 end----------------- **/

    /**
     * ---------------用户异常处理 begin-----------------
     **/
    USER_TOKEN_OVERDUE_ERR(42000, "token过期"),
    USER_TOKEN_VERIFY_ERR(42001, "token验证错误"),
    USER_TOKEN_ISNULL_ERR(42002, "token参数为空"),
    USER_TOKEN_ANALYSIS_ERR(42003, "token解析错误"),
    USER_LOGIN_ERR(42004, "用户名或密码错误"),
    USER_LOGIN_PASSWORD_ERR(42005, "登录密码错误"),
    USER_LOGIN_FORBIDDEN_ERR(42006, "账号已经被封禁"),
    USER_LOGIN_OFTEN_ERR(42007, "登录过于频繁"),
    USER_REGISTER_ERR(42008, "重复注册"),
    USER_NOT_REGISTER_ERR(42009, "用户未注册"),
    USER_NOT_EXIT(42010, "用户不存在"),
    USER_APPLY_ERR(42011, "已报名"),
    INVITATION_CODE(42012, "邀请码为空"),
    /**  ----------------参数验证异常处理 end----------------- **/


    /**
     * ---------------业务异常处理 begin-----------------
     **/
    //未捕捉到异常处理
    UNKNOWN_EXCEPTION(44000, "服务器内部异常"),
    //定时任务异常区间 40001-40100
    QUARTZ_CREATE_ERR(44001, "定时任务创建失败"),
    QUARTZ_UPDATE_ERR(44002, "定时任务更新失败"),
    QUARTZ_DELETE_ERR(44003, "定时任务删除失败"),
    QUARTZ_RECOVER_ERR(44004, "定时任务恢复失败"),
    QUARTZ_RUN_ERR(44005, "定时任务执行失败"),
    QUARTZ_PAUSE_ERR(44006, "定时任务暂停失败"),
    //推送异常 40200-40300
    PUSH_MESSAGE_ERR(40200, "消息推送失败"),
    SEND_NOTE_ERR(40201, "短信发送失败"),
    //redis异常 40400-40500
    REDIS_INSERT_ERR(40400, "缓存新增失败"),
    REDIS_GET_ERR(40401, "缓存获取失败"),
    REDIS_GET_TIMEOUT(40402, "缓存连接超时"),
    //支付异常 40600-40700
    PAY_ERR(40600, "支付失败"),
    //业务异常
    ID_CARD_FOREVER_REGISTER(407001, "身份证已被注册"),
    BINDING_FOREVER_ERR(407002, "父亲母亲配偶关系不能重复绑定！"),
    MONEY_INSUFFIVIENT(407003, "余额不足"),
    BINDING_ID_CARD_FOREVER_ERR(407004, "身份证号码重复绑定"),
    ID_CARD_FOREVER_ERR(407020, "身份证号码错误"),
    NOT_LOOK_AUTH(407005, "该用户没有开放访问权限!"),
    PRICE_NOT_AUTH(407006, "提现金额必须大于等于0"),
    RAFFLE_INSUFFIVIENTS(407007, "抽奖机会已用完"),
    NOT_PREFECT(407008, "企业信息未完善"),
    PREFECT_INFORMATION(407009, "职位信息不完善"),
    REPETITION_APPLY(407010, "已被录取"),
    DRAW_LIMITED(407011, "抽奖已达每日上限"),
    PASSWORD_LIMITED(407012, "请输入6~12位密码"),
    INVITATION_ERR(407013, "邀请码格式错误，应为完整手机号"),
    INTEGRAL_LIMITED(407014, "企业积分不足,请充值后重新发布！"),
    PHONE_ERR(407013, "手机号格式错误"),
    PUNCH_SUCCESS(407014, "打卡成功"),
    PUNCH_LIMITED(407015, "不在打卡时间范围内"),
    DRAW_MASSAGE(407016, "未完成打卡任务，暂不能抽奖"),
    INTEGRAL_INSUFFIVIENT(407017, "积分不足，请前往充值"),
    NOT_ORDER(407018, "积分不足，请前往充值"),
    IS_DELETED(407019, "职位不存在"),
    INEXISTENCE(407019, "查无此人"),
    NOT_LOGIN(407019, "该账号无法登入"),
    AUTHENTICATION_FAIL(407021, "信息比对失败，请重新认证"),
    BUSINESSLICENSE_ERR(407022, "请上传营业执照"),
    ID_CARD_IMAGE_ERR(407023,"未识别到身份信息，请上传正确身份证照片"),
    WITHDRAWDEPOSIT_ERR(407024,"提现失败");
    /**
     * ---------------业务异常处理 end-----------------
     **/
    private final int code;
    private final String message;

    ApiCode(final int code, final String message) {
        this.code = code;
        this.message = message;
    }

    public static ApiCode getApiCode(int code) {
        ApiCode[] ecs = ApiCode.values();
        for (ApiCode ec : ecs) {
            if (ec.getCode() == code) {
                return ec;
            }
        }
        return SUCCESS;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

}
