

package com.cloud.framework.common.controller;

import com.cloud.framework.log.annotation.OperationLogIgnore;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * <p>
 * 项目根路径提示信息
 * </p>
 *
 * @author cyty
 * @date 2018/11/12
 */
@Slf4j
@Controller
@OperationLogIgnore
@Api(value = "Index API", tags = {"Index"})
public class IndexController {

    @GetMapping("/")
    public String home() {
        return "redirect:/index.html";
    }

    /**
     * SwaggerUI
     */
    @GetMapping("/docs")
    public String swagger() {
        return "redirect:/swagger-ui.html";
    }


    @GetMapping("/art")
    public String art() {
        return "redirect:/error.html";
    }

    @GetMapping("/user/agreement")
    public String artOne() {
        return "redirect:/agreement.html";
    }

    @GetMapping("/exam/help")
    public String examHelp(){return "redirect:/examhelp.html";}

    @GetMapping("/download")
    public String download(){return "redirect:https://xrch.oss-cn-chengdu.aliyuncs.com/upload/202010210923204066502.apk";}
}
