package com.cloud.framework.core.pagination;

import com.cloud.config.constant.CommonConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author sj
 * Date on 2020/10/21  16:06
 * @Version 1.0
 * 分页参数
 */
@Data
public class AndroidBasePageParam {

    @ApiModelProperty(value = "页码,默认为0", example = "0")
    private Long offset = CommonConstant.DEFAULT_PAGE_INDEX;

    @ApiModelProperty(value = "页大小,默认为10", example = "10")
    private Long pageSize = CommonConstant.DEFAULT_PAGE_SIZE;

    public void setOffset(Long offset) {
        if (offset == null || offset <= 0) {
            this.offset = CommonConstant.DEFAULT_PAGE_INDEX;
        } else {
            this.offset = offset + 1;
        }
    }

    public void setPageSize(Long pageSize) {
        if (pageSize == null || pageSize <= 0) {
            this.pageSize = CommonConstant.DEFAULT_PAGE_SIZE;
        } else {
            this.pageSize = pageSize;
        }
    }
}
