package com.cloud.framework.core.validator;

import com.cloud.framework.core.validator.constraints.ParameterLength;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.Arrays;

/**
 * @Author sj
 * Date on 2020/10/21  21:00
 * @Version 1.0
 */
public class ParameterLengthValidator implements ConstraintValidator<ParameterLength, String> {   // 实现ConstraintValidator

    int min;
    int max;
    int[] eq;
    String charsetName;

    @Override
    public void initialize(ParameterLength constraintAnnotation) {
        this.min = constraintAnnotation.min();
        this.max = constraintAnnotation.max();
        this.eq = constraintAnnotation.eq();
        this.charsetName = constraintAnnotation.charsetName();
    }

    @Override
    public boolean isValid(String value, ConstraintValidatorContext context) {   // 实现校验规则
            if (null == value) {
                return min <= 0;
            }
            int length = value.length();
            if (eq.length > 0) {
                ArrayList<Integer> arrayList = new ArrayList(Arrays.asList(eq));
                return arrayList.contains(length);
            }
            return length >= min && length <= max;
    }
}