package com.cloud.framework.core.validator.constraints;

import com.cloud.framework.core.validator.BankCardValidator;
import com.cloud.framework.core.validator.IdCardValidator;

import javax.validation.Constraint;
import javax.validation.Payload;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author sj
 * Date on 2020/11/5  18:19
 * @Version 1.0
 */
@Documented
@Constraint(validatedBy = { BankCardValidator.class })
@Target({ METHOD, FIELD, ANNOTATION_TYPE, CONSTRUCTOR, PARAMETER })
@Retention(RUNTIME)
public @interface BankCard {
    String message() default "请输入有效的银行卡号码";

    Class<?>[] groups() default { };

    Class<? extends Payload>[] payload() default { };
}
