package com.cloud.framework.core.validator.constraints;

import com.cloud.framework.core.validator.EnumTypeValidator;

import javax.validation.Constraint;
import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author sj
 * Date on 2020/10/29  11:56
 * @Version 1.0
 */
@Documented
@Constraint(validatedBy = {EnumTypeValidator.class})
@Target({METHOD, FIELD, ANNOTATION_TYPE, CONSTRUCTOR, PARAMETER})
@Retention(RUNTIME)
public @interface GenderEq {
    int[] eq() default {0, 1};

    String message() default "请输入正确的性别编号";
}
