package com.cloud.framework.core.validator.constraints;

import com.cloud.framework.core.validator.ParameterLengthValidator;
import org.hibernate.validator.internal.constraintvalidators.hv.LengthValidator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author sj
 * Date on 2020/10/21  20:59
 * @Version 1.0
 */
@Target({METHOD, FIELD, ANNOTATION_TYPE, PARAMETER})
@Retention(RUNTIME)
@Constraint(validatedBy = ParameterLengthValidator.class)// 使用@Constraint指定注解校验实现类，这是一个限制型注解，只能使用指定的实现类
@Documented
public @interface ParameterLength {
    int min() default 0;

    int max() default 2147483647;

    int[] eq() default {};

    String charsetName() default "UTF-8";

    String message() default "的长度只能在{min}和{max}之间";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}