package com.cloud.web.commond.config;

import com.cloud.web.commond.resolver.AuthUserMethodArgumentResolver;
import com.cloud.web.interceptors.GlobalInterceptors;
import com.cloud.web.interceptors.ResponseResultInterceptors;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import java.util.List;

/**
 * @Author sj
 * Date on 2020/9/15  14:12
 * @Version 1.0
 */
@Configuration
public class AndroidMvcConfig implements WebMvcConfigurer {

    @Autowired
    AuthUserMethodArgumentResolver authUserMethodArgumentResolver;

    @Autowired
    GlobalInterceptors globalInterceptors;
    @Autowired
    ResponseResultInterceptors responseResultInterceptors;

    @Override
    public void addArgumentResolvers(List<HandlerMethodArgumentResolver> argumentResolvers) {
        argumentResolvers.add(authUserMethodArgumentResolver);
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 添加拦截器，配置拦截地址
        registry.addInterceptor(globalInterceptors).addPathPatterns("/web/android/**")
                .excludePathPatterns("/web/android/pay/call/back");
        registry.addInterceptor(responseResultInterceptors).addPathPatterns("/**");
    }
}
