package com.cloud.web.commond.enums;

import com.cloud.web.config.AndroidConfig;

/**
 * @Author sj
 * Date on 2020/10/28  18:10
 * @Version 1.0
 * URL管理
 */
public enum UrlEnum {
    PROJECT_URL("http://archives.api.ciyuantiaoyue.com/" + AndroidConfig.DEFAULT_INTERCEPTORS_URL, "默认项目地址"),
    DEFAULT_MAN_HEAD_PIC_URL("https://archives-data.oss-cn-chengdu.aliyuncs.com/upload/202011100958106606682.png", "默认男性头像"),
    DEFAULT_WOMAN_HEAD_PIC_URL("https://archives-data.oss-cn-chengdu.aliyuncs.com/upload/202011101000140552850.png", "默认女性头像"),
    DEFAULT_UNION_HEAD_PIC_URL("https://archives-data.oss-cn-chengdu.aliyuncs.com/upload/202011101000503299816.jpg", "默认未知性别头像"),
    DEFAULT_COURSE_PIC_URL("https://archives-data.oss-cn-chengdu.aliyuncs.com/upload/202011100954265572879.png", "默认成长历程图片"),
    GENEALOGY_DEFAULT_PIC("https://archives-data.oss-cn-chengdu.aliyuncs.com/upload/202011130942372206912.png", "族谱默认图片"),
    REDIRECT_MY_POSTER_URL(PROJECT_URL.getUrl() + "index/redirect/my/poster/{TOKEN}", "重定向到我的海报页面"),
    REDIRECT_MY_COURSE_URL(PROJECT_URL.getUrl() + "index/redirect/my/course/{TOKEN}", "重定向到个人历程页面"),
    REDIRECT_DOWNLOAD_URL(PROJECT_URL.getUrl() + "index/redirect/download/{TOKEN}", "重定向到下载页面"),
    REDIRECT_MY_QR_CODE_URL(PROJECT_URL.getUrl() + "index/redirect/my/qr/code/{TOKEN}", "重定向到我的二维码页面"),
    REDIRECT_DEFAULT_NOT_REGISTER_URL("http://archives.api.ciyuantiaoyue.com/art", "用户未注册二维码跳转地址");

    private String url;
    private String message;

    UrlEnum(final String url, final String message) {
        this.url = url;
        this.message = message;
    }

    public String getUrl() {
        return url;
    }
}
