package com.cloud.web.config;

import com.github.binarywang.wxpay.config.WxPayConfig;
import com.github.binarywang.wxpay.service.WxPayService;
import com.github.binarywang.wxpay.service.impl.WxPayServiceImpl;
import com.google.common.collect.Maps;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Map;

@Configuration
public class WxPayConfiguration {

    private static Map<String, WxPayService> payServices = Maps.newHashMap();

//    @Bean
//    public WxPayService wxPayService() {
//        final WxPayServiceImpl wxPayService = new WxPayServiceImpl();
//        WxPayConfig payConfig = new WxPayConfig();
//        payConfig.setAppId("wxd39fde812a634c53");
//        payConfig.setMchId("1608112070");
//        payConfig.setMchKey("hEl9BevLDQ6jahHFJGWcPjPIyAWJa29i");
//        payConfig.setKeyPath("http://recruit.api.ciyuantiaoyue.com/apiclient_cert.p12");
//        payConfig.setTradeType("JSAPI");
//        payConfig.setSignType("MD5");
//        wxPayService.setConfig(payConfig);
//        payServices.put("weixin_mini_pay_service", wxPayService);
//        return wxPayService;
//    }


    @Bean
    @ConditionalOnMissingBean
    public WxPayService wxService() {
        WxPayConfig payConfig = new WxPayConfig();
        payConfig.setAppId("wxd39fde812a634c53");
        payConfig.setMchId("1608112070");
        payConfig.setMchKey("hEl9BevLDQ6jahHFJGWcPjPIyAWJa29i");
        payConfig.setKeyPath("http://recruit.api.ciyuantiaoyue.com/apiclient_cert.p12");
//        payConfig.setTradeType("JSAPI");
//        payConfig.setSignType("MD5");
        // 可以指定是否使用沙箱环境
        payConfig.setUseSandboxEnv(false);

        WxPayService wxPayService = new WxPayServiceImpl();
        wxPayService.setConfig(payConfig);
        return wxPayService;
    }
}

