package com.cloud.web.controller;

import com.cloud.framework.core.annotation.WebLoginToken;
import com.cloud.framework.log.annotation.Module;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Slf4j
@Controller
@RequestMapping("/app/article")
@Module("web")
@Api(value = "API：文章管理", tags = {"API：文章管理"})
public class ArticleController {

    @GetMapping("/redirect/agreement")
    @WebLoginToken
    @ApiOperation(value = "跳转到用户协议", response = String.class)
    public String redirectUserAgreement() {
        return "redirect:/protocol/userAgreement.html";
    }

    @GetMapping("/redirect/privacy")
    @WebLoginToken
    @ApiOperation(value = "跳转到隐私协议", response = String.class)
    public String redirectPrivacyAgreement() {
        return "redirect:/protocol/privacyAgreement.html";
    }
}
