package com.cloud.web.controller;

import com.cloud.framework.core.annotation.WebLoginToken;
import com.cloud.framework.log.annotation.Module;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Slf4j
@Controller
@RequestMapping("/app/index")
@Module("web")
@Api(value = "API：关于我们", tags = {"API：关于我们"})
public class IndexUsController {

    @GetMapping("/redirect/aboutUs")
    @WebLoginToken
    @ApiOperation(value = "跳转到关于我们", response = String.class)
    public String redirectAboutUs() {
        return "redirect:/protocol/aboutUs.html";
    }

//    @GetMapping("/redirect/user/agreement")
//    @WebLoginToken
//    @ApiOperation(value = "跳转到用户协议", response = String.class)
//    public String redirectUserAgreement() {
//        return "redirect:/protocol/userAgreement.html";
//    }

}
