package com.cloud.web.controller;

import com.cloud.framework.core.pagination.ApiPageResult;
import com.cloud.web.commond.anno.AnalysisUserId;
import com.cloud.web.commond.anno.ResponseResult;
import com.cloud.web.params.page.MyIntegralPageParam;
import com.cloud.web.service.IntegralBillService;
import com.cloud.web.vo.IntegralBillQueryVo;
import lombok.extern.slf4j.Slf4j;
import com.cloud.framework.common.controller.BaseController;
import com.cloud.framework.log.annotation.Module;
import com.cloud.framework.log.annotation.OperationLog;
import com.cloud.framework.log.enums.OperationLogType;
import org.springframework.validation.annotation.Validated;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 *  控制器
 *
 * @author zyl
 * @since 2021-01-08
 */
@Slf4j
@RestController
@RequestMapping("/app/integralBill")
@Module("web")
@Api(value = "API：积分记录", tags = {"API：积分记录"})
@ResponseResult
public class IntegralBillController extends BaseController {

    @Autowired
    private IntegralBillService integralBillService;

    @GetMapping("/page/getList")
    @OperationLog(name = "分页获取积分记录列表", type = OperationLogType.PAGE)
    @ApiOperation(value = "分页获取积分记录列表", response = IntegralBillQueryVo.class)
    public ApiPageResult<IntegralBillQueryVo> getList(@AnalysisUserId Long userId, @Validated MyIntegralPageParam integralBillPageParam) throws Exception {
        integralBillPageParam.setUid(userId);
        return integralBillService.getBillVo(integralBillPageParam);
    }

}

