package com.cloud.web.controller;

import com.cloud.web.commond.anno.AnalysisUserId;
import com.cloud.web.commond.anno.ResponseResult;
import com.cloud.web.entity.Location;
import com.cloud.web.params.param.LocationParam;
import com.cloud.web.service.LocationService;
import lombok.extern.slf4j.Slf4j;
import com.cloud.web.param.LocationPageParam;
import com.cloud.framework.common.controller.BaseController;
import com.cloud.web.vo.LocationQueryVo;
import com.cloud.framework.common.api.ApiResult;
import com.cloud.framework.core.pagination.Paging;
import com.cloud.framework.common.param.IdParam;
import com.cloud.framework.log.annotation.Module;
import com.cloud.framework.log.annotation.OperationLog;
import com.cloud.framework.log.enums.OperationLogType;
import com.cloud.framework.core.validator.groups.Add;
import com.cloud.framework.core.validator.groups.Update;
import org.springframework.validation.annotation.Validated;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 *  控制器
 *
 * @author zyl
 * @since 2021-04-01
 */
@Slf4j
@RestController
@RequestMapping("/app/location")
@Module("web")
@Api(value = "API：定位记录", tags = {"API：定位记录"})
@ResponseResult
public class LocationController extends BaseController {

    @Autowired
    private LocationService locationService;

    /**
     * 添加
     */
    @PostMapping("/add")
    @OperationLog(name = "添加定位记录", type = OperationLogType.ADD)
    @ApiOperation(value = "添加定位记录", response = ApiResult.class)
    public Boolean addLocation(@AnalysisUserId Long userId,@Validated LocationParam locationParam) throws Exception {
        locationParam.setUserId(userId);
        locationService.addLocation(locationParam);
        return null;
    }

//    /**
//     * 修改
//     */
//    @PostMapping("/update")
//    @OperationLog(name = "修改", type = OperationLogType.UPDATE)
//    @ApiOperation(value = "修改", response = ApiResult.class)
//    public ApiResult<Boolean> updateLocation(@Validated(Update.class) @RequestBody Location location) throws Exception {
//        boolean flag = locationService.updateLocation(location);
//        return ApiResult.result(flag);
//    }
//
//    /**
//     * 删除
//     */
//    @PostMapping("/delete/{id}")
//    @OperationLog(name = "删除", type = OperationLogType.DELETE)
//    @ApiOperation(value = "删除", response = ApiResult.class)
//    public ApiResult<Boolean> deleteLocation(@PathVariable("id") Long id) throws Exception {
//        boolean flag = locationService.deleteLocation(id);
//        return ApiResult.result(flag);
//    }
//
//    /**
//     * 获取详情
//     */
//    @GetMapping("/info/{id}")
//    @OperationLog(name = "详情", type = OperationLogType.INFO)
//    @ApiOperation(value = "详情", response = LocationQueryVo.class)
//    public ApiResult<LocationQueryVo> getLocation(@PathVariable("id") Long id) throws Exception {
//        LocationQueryVo locationQueryVo = locationService.getLocationById(id);
//        return ApiResult.ok(locationQueryVo);
//    }
//
//    /**
//     * 分页列表
//     */
//    @PostMapping("/getPageList")
//    @OperationLog(name = "分页列表", type = OperationLogType.PAGE)
//    @ApiOperation(value = "分页列表", response = LocationQueryVo.class)
//    public ApiResult<Paging<Location>> getLocationPageList(@Validated @RequestBody LocationPageParam locationPageParam) throws Exception {
//        Paging<Location> paging = locationService.getLocationPageList(locationPageParam);
//        return ApiResult.ok(paging);
//    }

}

