package com.cloud.web.controller;

import com.cloud.web.commond.anno.AnalysisUserId;
import com.cloud.web.commond.anno.ResponseResult;
import com.cloud.web.entity.WithdrawDeposit;
import com.cloud.web.params.param.InsertDepositParam;
import com.cloud.web.service.WithdrawDepositService;
import lombok.extern.slf4j.Slf4j;
import com.cloud.web.param.WithdrawDepositPageParam;
import com.cloud.framework.common.controller.BaseController;
import com.cloud.web.vo.WithdrawDepositQueryVo;
import com.cloud.framework.common.api.ApiResult;
import com.cloud.framework.core.pagination.Paging;
import com.cloud.framework.log.annotation.Module;
import com.cloud.framework.log.annotation.OperationLog;
import com.cloud.framework.log.enums.OperationLogType;
import org.springframework.validation.annotation.Validated;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 控制器
 *
 * @author zyl
 * @since 2021-01-08
 */
@Slf4j
@RestController
@RequestMapping("/app/withdrawDeposit")
@Module("web")
@Api(value = "API：提现记录", tags = {"API：提现记录"})
@ResponseResult
public class WithdrawDepositController extends BaseController {

    @Autowired
    private WithdrawDepositService withdrawDepositService;

    @PostMapping("/add/deposit")
    @OperationLog(name = "新增提现记录", type = OperationLogType.ADD)
    @ApiOperation(value = "新增提现记录", response = ApiResult.class)
    public void insertDeposit(@AnalysisUserId Long userId, @Validated InsertDepositParam insertDepositParam) throws Exception {
        withdrawDepositService.insertDeposit(userId, insertDepositParam);
    }

}

