package com.cloud.web.entity;

import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.cloud.framework.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.cloud.framework.core.validator.groups.Update;

/**
 * @author zyl
 * @since 2021-01-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Apply对象")
public class Apply extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "id不能为空")
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("职位名称")
    private String postName;

    @ApiModelProperty("职位id")
    private Integer postId;

    @ApiModelProperty("公司id")
    private Integer companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("电话")
    private String userPhone;

    @ApiModelProperty("状态（1 待审核 2 未通过 3 通过）")
    private Integer status;

    @ApiModelProperty("创建者")
    @JsonIgnore
    private String createBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty("更新者")
    @JsonIgnore
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonIgnore
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @TableLogic
    @JsonIgnore
    private Boolean deleted;

    @ApiModelProperty("用户是否是会员")
    private Integer isMember;

    @ApiModelProperty("是否购买企业信息（0 否 1 是）")
    private Integer isBuy;

    @ApiModelProperty(value = "ip地址")
    private String ipAddress;
}
