package com.cloud.web.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.cloud.framework.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

import com.cloud.framework.core.validator.groups.Update;

/**
 * @author zyl
 * @since 2021-01-08
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BaseSetting对象")
public class BaseSetting extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "id不能为空", groups = {Update.class})
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    @JsonIgnore
    private Integer id;

    @ApiModelProperty("会员价格")
    private BigDecimal memberPrice;

    @ApiModelProperty("提现说明")
    private String withdrawIntrodution;

    @ApiModelProperty("提现说明")
    private String withdrawIntroductions;

    @ApiModelProperty("创建者")
    @JsonIgnore
    private String createBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    @JsonIgnore
    private Date createTime;

    @ApiModelProperty("更新者")
    @JsonIgnore
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonIgnore
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @TableLogic
    @JsonIgnore
    private Boolean deleted;

    @ApiModelProperty("推荐管价格")
    private BigDecimal referrerPrice;

    @ApiModelProperty("推荐管推荐获取积分")
    @JsonIgnore
    private Integer referrerIntegral;

    @ApiModelProperty("打卡赠送积分")
    private Integer clockIntegral;

    @ApiModelProperty("打卡赠送积分（推荐管获得）")
    private Integer clockReferrerIntegral;

    @ApiModelProperty("企业认证价格")
    private BigDecimal authenticationPrice;

    @ApiModelProperty("打卡范围")
    private String clockDistance;

    @ApiModelProperty("充值系数")
    private BigDecimal rechargeProportion;

    @ApiModelProperty("联系企业扣除积分")
    private Integer consumeIntegral;

    @ApiModelProperty("推将官服务说明")
    private String referrerExplain;

    @ApiModelProperty("企业号服务说明")
    private String companyExplain;

    @ApiModelProperty("联系企业说明")
    private String consumeExplain;

    @ApiModelProperty("工资发放说明")
    private String payrollExplain;

    @ApiModelProperty("黑名单说明")
    private String blacklistExplain;

    @ApiModelProperty("企业认证说明")
    private String companyAuthenticationExplain;

    @ApiModelProperty("更新文案")
    private String renewal;

    @ApiModelProperty("是否更新（0 否 1是）")
    private Integer isRenewal = 0;

    @ApiModelProperty("是否强制更新（0 否 1是）")
    private Integer isForceRenewal;

    @ApiModelProperty("app版本")
    private String appVersion;

    @ApiModelProperty("ios版本")
    private String iosVersion;

    @ApiModelProperty("提现系数")
    private BigDecimal withdrawProportion;

    @ApiModelProperty("充值会员说明")
    private String memberExplain;

    private String adminContent;

}
