package com.cloud.web.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.cloud.framework.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import com.cloud.framework.core.validator.groups.Update;

/**
 * 工资记录
 *
 * @author zyl
 * @since 2022-11-01
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "PayrollRecords对象")
public class PayrollRecords extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "id不能为空", groups = {Update.class})
    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("职位名称")
    private String postName;

    @ApiModelProperty("职位id")
    private Integer postId;

    @ApiModelProperty("公司id")
    private Integer companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("发放用户id")
    private Integer userId;

    @ApiModelProperty("发放用户名")
    private String userName;

    @ApiModelProperty("发放用户名电话")
    private String userPhone;

    @ApiModelProperty("接收用户id")
    private String userIds;

    @ApiModelProperty("接收用户名")
    private String userNames;

    @ApiModelProperty("用户数量")
    private Integer userNumber;

    @ApiModelProperty("单人工资")
    private BigDecimal payroll;

    @ApiModelProperty("总工资")
    private BigDecimal totalPayroll;

    @ApiModelProperty("创建者")
    private String createBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty("更新者")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @TableLogic
    private Boolean deleted;

    @ApiModelProperty("备注")
    private String remark;

}
