package com.cloud.web.entity;

import com.baomidou.mybatisplus.annotation.IdType;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.cloud.framework.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.cloud.framework.core.validator.groups.Update;

/**
 * @author zyl
 * @since 2021-01-08
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Post对象")
public class Post extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "id不能为空", groups = {Update.class})
    @ApiModelProperty("职位id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("职位名称")
    private String name;

    @ApiModelProperty("职位描述")
    private String description;

    @ApiModelProperty("薪资")
    private String compensation;

    @ApiModelProperty(value = "人数")
    private Integer peopleNumber;

    @ApiModelProperty(value = "时间")
    private Integer dayNumber;

    @ApiModelProperty(value = "费用")
    private BigDecimal charge;

    @ApiModelProperty(value = "总费用")
    private Integer totalCharge;

    @ApiModelProperty("公司id")
    private Integer companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("招聘者")
    private String recruiter;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("职位详情")
    private String details;

    @ApiModelProperty("职位状态（1 正常 2 下架）")
    private Integer status;

    @ApiModelProperty("职位类型 （1 全职 2 兼职）")
    private String type;

    @ApiModelProperty("创建者")
    private String createBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty("更新者")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @TableLogic
    private Boolean deleted;

    @ApiModelProperty("省")
    private String province;

    @ApiModelProperty("市")
    private String city;

    @ApiModelProperty("区")
    private String district;

    @ApiModelProperty("详细地址")
    private String detailed;

    @ApiModelProperty("上班时间")
    private String openDay;

    @ApiModelProperty("下班时间")
    private String endDay;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("简介图片")
    private String image;

    @ApiModelProperty("视频")
    private String video;

    @ApiModelProperty("联系电话")
    private String phone;

    @ApiModelProperty("审核状态")
    private Integer auditStatus;

    @ApiModelProperty(value = "截至日期")
    private Date deadline;
}
