package com.cloud.web.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.cloud.framework.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import com.cloud.framework.core.validator.groups.Update;

/**
 * 
 *
 * @author zyl
 * @since 2021-01-08
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "WithdrawDeposit对象")
public class WithdrawDeposit extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "id不能为空")
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("用户id")
    private Integer uid;

    @ApiModelProperty("用户名")
    private String uname;

    @ApiModelProperty("用户手机号")
    private String phone;

    @ApiModelProperty("数量")
    private Integer amount;

    @ApiModelProperty("卡号")
    private String cardNumber;

    @ApiModelProperty("开户行")
    private String bank;

    @ApiModelProperty("银行卡账户名")
    private String bname;

    @ApiModelProperty("银行预留电话")
    private String bphone;

    @ApiModelProperty("是否处理（1 等待中 2 已处理）")
    private Integer status;

    @ApiModelProperty("创建者")
    private String createBy;

    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty("更新者")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @TableLogic
    private Boolean deleted;

}
