package com.cloud.web.exception;

import com.cloud.framework.common.api.ApiCode;
import lombok.Data;

/**
 * @Author sj
 * Date on 2020/10/21  14:52
 * @Version 1.0
 * 用户信息错误异常
 */
@Data
public class AndroidUserException extends RuntimeException  {
    private static final long serialVersionUID = 1L;

    //错误信息
    private String msg;

    private ApiCode apiCode;


    public AndroidUserException(String msg) {
        super(msg);
        this.msg = msg;
    }

    public AndroidUserException(ApiCode apiCode) {
        this.apiCode = apiCode;
    }

    public AndroidUserException(String msg, ApiCode apiCode) {
        super(msg);
        this.msg = msg;
        this.apiCode = apiCode;
    }

    public AndroidUserException(String msg, Throwable e) {
        super(msg, e);
        this.msg = msg;
    }
}
