package com.cloud.web.exception;

import com.cloud.framework.common.api.ApiCode;
import lombok.Data;
import org.springframework.http.HttpStatus;

/**
 * @Author sj
 * Date on 2020/9/3  14:24
 * @Version 1.0
 * 参数验证错误异常
 */
@Data
public class AndroidVerifyException extends RuntimeException {
    private static final long serialVersionUID = 1L;

    //错误信息
    private String msg;

    private ApiCode apiCode;


    public AndroidVerifyException(String msg) {
        super(msg);
        this.msg = msg;
    }

    public AndroidVerifyException(ApiCode apiCode) {
        this.apiCode = apiCode;
    }

    public AndroidVerifyException(String msg, ApiCode apiCode) {
        super(msg);
        this.msg = msg;
        this.apiCode = apiCode;
    }

    public AndroidVerifyException(String msg, Throwable e) {
        super(msg, e);
        this.msg = msg;
    }
}
