package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.Announcement;
import com.cloud.web.param.AnnouncementPageParam;
import com.cloud.web.vo.AnnouncementQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2022-10-24
 */
@Repository
public interface AnnouncementMapper extends BaseMapper<Announcement> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    AnnouncementQueryVo getAnnouncementById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param announcementPageParam
     * @return
     */
    IPage<AnnouncementQueryVo> getAnnouncementPageList(@Param("page") Page page, @Param("param") AnnouncementPageParam announcementPageParam);

}
