package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.ApplePriceSetting;
import com.cloud.web.param.ApplePriceSettingPageParam;
import com.cloud.web.vo.ApplePriceSettingQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2022-07-19
 */
@Repository
public interface ApplePriceSettingMapper extends BaseMapper<ApplePriceSetting> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    ApplePriceSettingQueryVo getApplePriceSettingById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param applePriceSettingPageParam
     * @return
     */
    IPage<ApplePriceSettingQueryVo> getApplePriceSettingPageList(@Param("page") Page page, @Param("param") ApplePriceSettingPageParam applePriceSettingPageParam);

}
