package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.Apply;
import com.cloud.web.param.ApplyPageParam;
import com.cloud.web.vo.ApplyQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-09
 */
@Repository
public interface ApplyMapper extends BaseMapper<Apply> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    ApplyQueryVo getApplyById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param applyPageParam
     * @return
     */
    IPage<ApplyQueryVo> getApplyPageList(@Param("page") Page page, @Param("param") ApplyPageParam applyPageParam);

    /**
     * 删除
     * @param id
     */
    void removeApply(Long id);
}
