package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.Article;
import com.cloud.web.param.ArticlePageParam;
import com.cloud.web.vo.ArticleQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-08
 */
@Repository
public interface ArticleMapper extends BaseMapper<Article> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    ArticleQueryVo getArticleById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param articlePageParam
     * @return
     */
    IPage<ArticleQueryVo> getArticlePageList(@Param("page") Page page, @Param("param") ArticlePageParam articlePageParam);

}
