package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.BaseSetting;
import com.cloud.web.param.BaseSettingPageParam;
import com.cloud.web.vo.BaseSettingQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-08
 */
@Repository
public interface BaseSettingMapper extends BaseMapper<BaseSetting> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    BaseSettingQueryVo getBaseSettingById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param baseSettingPageParam
     * @return
     */
    IPage<BaseSettingQueryVo> getBaseSettingPageList(@Param("page") Page page, @Param("param") BaseSettingPageParam baseSettingPageParam);

}
