package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.BlacklistRecords;
import com.cloud.web.param.BlacklistRecordsPageParam;
import com.cloud.web.vo.BlacklistRecordsQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;

/**
 * 黑名单记录 Mapper 接口
 *
 * @author zyl
 * @since 2022-11-08
 */
@Repository
public interface BlacklistRecordsMapper extends BaseMapper<BlacklistRecords> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    BlacklistRecordsQueryVo getBlacklistRecordsById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param blacklistRecordsPageParam
     * @return
     */
    IPage<BlacklistRecordsQueryVo> getBlacklistRecordsPageList(@Param("page") Page page, @Param("param") BlacklistRecordsPageParam blacklistRecordsPageParam);


    /**
     * 删除记录
     *
     * @param id
     */
    void deleteById(@Param("id") String id);
}
