package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.CompanyAuthentication;
import com.cloud.web.param.CompanyAuthenticationPageParam;
import com.cloud.web.vo.CompanyAuthenticationQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 * 用户实名认证 Mapper 接口
 *
 * @author zyl
 * @since 2022-11-13
 */
@Repository
public interface CompanyAuthenticationMapper extends BaseMapper<CompanyAuthentication> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    CompanyAuthenticationQueryVo getCompanyAuthenticationById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param companyAuthenticationPageParam
     * @return
     */
    IPage<CompanyAuthenticationQueryVo> getCompanyAuthenticationPageList(@Param("page") Page page, @Param("param") CompanyAuthenticationPageParam companyAuthenticationPageParam);

}
