package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.Company;
import com.cloud.web.param.CompanyPageParam;
import com.cloud.web.vo.CompanyQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-08
 */
@Repository
public interface CompanyMapper extends BaseMapper<Company> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    CompanyQueryVo getCompanyById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param companyPageParam
     * @return
     */
    IPage<CompanyQueryVo> getCompanyPageList(@Param("page") Page page, @Param("param") CompanyPageParam companyPageParam);

}
