package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.DrawDocument;
import com.cloud.web.param.DrawDocumentPageParam;
import com.cloud.web.vo.DrawDocumentQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-08
 */
@Repository
public interface DrawDocumentMapper extends BaseMapper<DrawDocument> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DrawDocumentQueryVo getDrawDocumentById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param drawDocumentPageParam
     * @return
     */
    IPage<DrawDocumentQueryVo> getDrawDocumentPageList(@Param("page") Page page, @Param("drawDocumentPageParam") DrawDocumentPageParam drawDocumentPageParam);

}
