package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.Draw;
import com.cloud.web.param.DrawPageParam;
import com.cloud.web.vo.DrawQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-08
 */
@Repository
public interface DrawMapper extends BaseMapper<Draw> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DrawQueryVo getDrawById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param drawPageParam
     * @return
     */
    IPage<DrawQueryVo> getDrawPageList(@Param("page") Page page, @Param("param") DrawPageParam drawPageParam);

}
