package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.HelpCenter;
import com.cloud.web.param.HelpCenterPageParam;
import com.cloud.web.vo.HelpCenterQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-08
 */
@Repository
public interface HelpCenterMapper extends BaseMapper<HelpCenter> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    HelpCenterQueryVo getHelpCenterById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param helpCenterPageParam
     * @return
     */
    IPage<HelpCenterQueryVo> getHelpCenterPageList(@Param("page") Page page, @Param("param") HelpCenterPageParam helpCenterPageParam);

}
