package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.HotSearch;
import com.cloud.web.param.HotSearchPageParam;
import com.cloud.web.vo.HotSearchQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-14
 */
@Repository
public interface HotSearchMapper extends BaseMapper<HotSearch> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    HotSearchQueryVo getHotSearchById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param hotSearchPageParam
     * @return
     */
    IPage<HotSearchQueryVo> getHotSearchPageList(@Param("page") Page page, @Param("param") HotSearchPageParam hotSearchPageParam);

}
