package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.Location;
import com.cloud.web.param.LocationPageParam;
import com.cloud.web.vo.LocationQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-04-01
 */
@Repository
public interface LocationMapper extends BaseMapper<Location> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    LocationQueryVo getLocationById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param locationPageParam
     * @return
     */
    IPage<LocationQueryVo> getLocationPageList(@Param("page") Page page, @Param("param") LocationPageParam locationPageParam);

}
