package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.MemberRecords;
import com.cloud.web.param.MemberRecordsPageParam;
import com.cloud.web.vo.MemberRecordsQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-08
 */
@Repository
public interface MemberRecordsMapper extends BaseMapper<MemberRecords> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    MemberRecordsQueryVo getMemberRecordsById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param memberRecordsPageParam
     * @return
     */
    IPage<MemberRecordsQueryVo> getMemberRecordsPageList(@Param("page") Page page, @Param("param") MemberRecordsPageParam memberRecordsPageParam);

}
