package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.OrderBuy;
import com.cloud.web.param.OrderBuyPageParam;
import com.cloud.web.vo.OrderBuyQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-11-10
 */
@Repository
public interface OrderBuyMapper extends BaseMapper<OrderBuy> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    OrderBuyQueryVo getOrderBuyById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param orderBuyPageParam
     * @return
     */
    IPage<OrderBuyQueryVo> getOrderBuyPageList(@Param("page") Page page, @Param("param") OrderBuyPageParam orderBuyPageParam);

}
