package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.PayrollRecords;
import com.cloud.web.param.PayrollRecordsPageParam;
import com.cloud.web.vo.PayrollRecordsQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 * 工资记录 Mapper 接口
 *
 * @author zyl
 * @since 2022-11-01
 */
@Repository
public interface PayrollRecordsMapper extends BaseMapper<PayrollRecords> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    PayrollRecordsQueryVo getPayrollRecordsById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param payrollRecordsPageParam
     * @return
     */
    IPage<PayrollRecordsQueryVo> getPayrollRecordsPageList(@Param("page") Page page, @Param("param") PayrollRecordsPageParam payrollRecordsPageParam);

}
