package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.Post;
import com.cloud.web.param.PostPageParam;
import com.cloud.web.vo.PostInfoVo;
import com.cloud.web.vo.PostQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-08
 */
@Repository
public interface PostMapper extends BaseMapper<Post> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    PostQueryVo getPostById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param postPageParam
     * @return
     */
    IPage<PostQueryVo> getPostPageList(@Param("page") Page page, @Param("postPageParam") PostPageParam postPageParam);

    /**
     * 获取分页对象
     *
     * @param page
     * @param postPageParam
     * @return
     */
    IPage<PostQueryVo> getPostPageLists(@Param("page") Page page, @Param("postPageParam") PostPageParam postPageParam);

    /**
     * 删除职位
     * @param id
     */
    void remove(Integer id);
}
