package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.PunchCard;
import com.cloud.web.param.PunchCardPageParam;
import com.cloud.web.vo.PunchCardQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-10-08
 */
@Repository
public interface PunchCardMapper extends BaseMapper<PunchCard> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    PunchCardQueryVo getPunchCardById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param punchCardPageParam
     * @return
     */
    IPage<PunchCardQueryVo> getPunchCardPageList(@Param("page") Page page, @Param("param") PunchCardPageParam punchCardPageParam);

    void delete(Integer id);
}
