package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.Servicer;
import com.cloud.web.param.ServicerPageParam;
import com.cloud.web.vo.ServicerQueryVo;

import com.cloud.web.vo.ServicerVo;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-08
 */
@Repository
public interface ServicerMapper extends BaseMapper<Servicer> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    ServicerQueryVo getServicerById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param servicerPageParam
     * @return
     */
    IPage<ServicerQueryVo> getServicerPageList(@Param("page") Page page, @Param("param") ServicerPageParam servicerPageParam);
}
