package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.UserAuthentication;
import com.cloud.web.param.UserAuthenticationPageParam;
import com.cloud.web.vo.UserAuthenticationQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 * 用户实名认证 Mapper 接口
 *
 * @author zyl
 * @since 2022-11-13
 */
@Repository
public interface UserAuthenticationMapper extends BaseMapper<UserAuthentication> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    UserAuthenticationQueryVo getUserAuthenticationById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param userAuthenticationPageParam
     * @return
     */
    IPage<UserAuthenticationQueryVo> getUserAuthenticationPageList(@Param("page") Page page, @Param("param") UserAuthenticationPageParam userAuthenticationPageParam);

}
