package com.cloud.web.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cloud.web.entity.User;
import com.cloud.web.param.UserPageParam;
import com.cloud.web.vo.IntroUserVo;
import com.cloud.web.vo.UserQueryVo;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author zyl
 * @since 2021-01-08
 */
@Repository
public interface UserMapper extends BaseMapper<User> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    UserQueryVo getUserById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param userPageParam
     * @return
     */
    IPage<UserQueryVo> getUserPageList(@Param("page") Page page, @Param("param") UserPageParam userPageParam);

    IPage<IntroUserVo> getUserList(@Param("page") Page page, @Param("UserPageParam") UserPageParam userPageParam);
}
