//package com.cloud.web.modules.mob.utils;
//
//import com.cloud.framework.common.api.ApiCode;
//import com.cloud.web.modules.mob.config.MobMessageProperties;
//import lombok.Data;
//import lombok.extern.slf4j.Slf4j;
//import mob.push.api.client.push.PushV3Client;
//import mob.push.api.config.MobPushConfig;
//import mob.push.api.exception.ApiException;
//import mob.push.api.http.Result;
//import mob.push.api.model.Push;
//import mob.push.api.model.PushMap;
//import mob.push.api.model.PushNotify;
//import mob.push.api.model.PushTarget;
//import mob.push.api.res.PushV3Res;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import java.util.Date;
//import java.util.List;
//import java.util.Map;
//import java.util.stream.Collectors;
//
///**
// * @Author sj
// * Date on 2020/9/23  11:09
// * @Version 1.0
// * Mob消息推送
// */
//@Slf4j
//@Component
//@SuppressWarnings("all")
//public class MobPushUtils {
//
//    @Autowired
//    private MobMessageProperties messageProperties;
//
//    /**
//     * 消息推送
//     *
//     * @param rids            推送指定用户
//     * @param message         推送的消息
//     * @param title           消息标题
//     * @param subjoinFieldMap 额外附加参数
//     * @param wordNo          消息字符编号(不能重复)
//     * @return 是否推送成功
//     */
//    public boolean pushMessageByRids(PushModel pushModel) {
//        MobPushConfig.appkey = messageProperties.getAppKey();
//        MobPushConfig.appSecret = messageProperties.getAppSecret();
//        try {
//            Push push = new Push();
//            push.setAppkey(messageProperties.getAppKey());
//            push.setWorkno(pushModel.getWordNo());
//            //定义消息推送目标
//            PushTarget pushTarget = new PushTarget();
//            //设置消息发送类型为通过rid精准发送
//            pushTarget.setTarget(PushTarget.TARGET_RIDS);
//            //消息推送目标rid集合
//            pushTarget.setRids(pushModel.getRids());
//            pushTarget.setTagsType(1);
//            push.setPushTarget(pushTarget);
//            PushNotify pushNotify = new PushNotify();
//            pushNotify.setContent(pushModel.getMessage());
//            pushNotify.setTitle(pushModel.getTitle());
//            Map<String, String> subjoinFieldMap=pushModel.getSubjoinFieldMap();
//            //推送消息附加字段
//            if (subjoinFieldMap != null && subjoinFieldMap.size() != 0) {
//                List<PushMap> list = subjoinFieldMap.keySet().stream().map(key -> {
//                    PushMap pushMap = new PushMap();
//                    pushMap.setKey(key);
//                    pushMap.setValue(subjoinFieldMap.get(key));
//                    return pushMap;
//                }).collect(Collectors.toList());
//                pushNotify.setExtrasMapList(list);
//            }
//            push.setPushNotify(pushNotify);
//            //Registration ID推送
//            Result<PushV3Res> resResult = PushV3Client.pushTaskV3(push);
//            if (resResult.getResponseCode() != 200) {
//                log.info("消息推送失败：" + resResult.getError());
//            } else {
//                log.info("消息推送成功--推送时间为:{}", new Date());
//                return true;
//            }
//        } catch (ApiException e) {
//            log.info("消息推送失败错误请求状态码{}", e.getStatus());
//            log.info("消息推送失败错误状态码{}", e.getErrorCode());
//            log.info("消息推送失败信息{}", e.getErrorMessage());
//            throw new MobPushMessageException(ApiCode.PUSH_MESSAGE_ERR);
//        }
//        return false;
//    }
//
//    /**
//     * 群发消息
//     *
//     * @param message         消息
//     * @param title           标题
//     * @param subjoinFieldMap 附加参数
//     * @param wordNo          任务编号
//     * @return
//     */
//    public boolean pushMessageAll(PushModel pushModel) {
//        MobPushConfig.appkey = messageProperties.getAppKey();
//        MobPushConfig.appSecret = messageProperties.getAppSecret();
//        try {
//            Push push = new Push();
//            push.setAppkey(messageProperties.getAppKey());
//            push.setWorkno(pushModel.getWordNo());
//            //定义消息推送目标
//            PushTarget pushTarget = new PushTarget();
//            //设置消息发送类型为通过rid精准发送
//            pushTarget.setTarget(PushTarget.TARGET_ALL);
//            push.setPushTarget(pushTarget);
//            PushNotify pushNotify = new PushNotify();
//            pushNotify.setContent(pushModel.getMessage());
//            pushNotify.setTitle(pushModel.getTitle());
//            Map<String, String> subjoinFieldMap=pushModel.getSubjoinFieldMap();
//            //推送消息附加字段
//            if (subjoinFieldMap.size() != 0) {
//                List<PushMap> list = subjoinFieldMap.keySet().stream().map(key -> {
//                    PushMap pushMap = new PushMap();
//                    pushMap.setKey(key);
//                    pushMap.setValue(subjoinFieldMap.get(key));
//                    return pushMap;
//                }).collect(Collectors.toList());
//                pushNotify.setExtrasMapList(list);
//            }
//            push.setPushNotify(pushNotify);
//            //Registration ID推送
//            Result<PushV3Res> resResult = PushV3Client.pushTaskV3(push);
//            if (resResult.getResponseCode() != 200) {
//                log.info("消息推送失败：" + resResult.getError());
//            } else {
//                log.info("消息推送成功--推送时间为:{}", new Date());
//                return true;
//            }
//        } catch (ApiException e) {
//            log.info("消息推送失败错误请求状态码{}", e.getStatus());
//            log.info("消息推送失败错误状态码{}", e.getErrorCode());
//            log.info("消息推送失败信息{}", e.getErrorMessage());
//            throw new MobPushMessageException(ApiCode.PUSH_MESSAGE_ERR);
//        }
//        return false;
//
//    }
//
//    @Data
//    public class MobPushMessageException extends ApiException {
//        private static final long serialVersionUID = 1L;
//        //错误信息
//        private String msg;
//
//        private ApiCode apiCode;
//
//        public MobPushMessageException(ApiCode apiCode) {
//            this.apiCode = apiCode;
//        }
//    }
//
//
//}
