package com.cloud.web.modules.pay.wechat.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author sj
 * Date on 2020/9/21  18:42
 * @Version 1.0
 */

@Data
@Component
@ConfigurationProperties(prefix = "wxpayconfig")
public class WxpayConfig {

    private String appid; // 公众账号ID

    private String mch_id; // 商户号

    private String device_info; // 设备号

    private String key; // 商户的key【API密匙】

    private String url; // api请求地址

    private String notify_url; // 服务器异步通知页面路径

    private String return_url; // 服务器同步通知页面路径

    private String wx_package;

    /**随机字符串*/
    private String nonce_str;
    /**签名*/
    private String sign;
    /**签名类型*/
    private String sign_type;
}