//package com.cloud.web.modules.rabbitmq.customer;
//
//import com.cloud.framework.common.api.ApiCode;
//import com.cloud.framework.util.SpringContextHolder;
//import com.cloud.web.entity.ArchivesUserMessage;
//import com.cloud.web.exception.AndroidBusinessException;
//import com.cloud.web.modules.mob.utils.MobPushUtils;
//import com.cloud.web.modules.rabbitmq.queue.QueueConfig;
//import com.cloud.web.modules.send.utils.NoteSendUtil;
//import com.cloud.web.params.param.PushModel;
//import com.cloud.web.service.ArchivesUserMessageService;
//import com.cloud.web.util.FastJsonUtils;
//import com.cloud.web.util.LocalDateUtils;
//import com.cloud.web.util.RedisUtils;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import java.text.ParseException;
//import java.text.SimpleDateFormat;
//
///**
// * @Author sj
// * Date on 2020/10/21  17:02
// * @Version 1.0
// */
//@Component
//@Slf4j
//public class NoteSentCustomer {
//
//    private RedisUtils redisUtils = SpringContextHolder.getBean(RedisUtils.class);
//    @Autowired
//    private NoteSendUtil sendUtil;
//    @Autowired
//    private MobPushUtils mobPushUtils;
//    @Autowired
//    private ArchivesUserMessageService archivesUserMessageService;
//
//    @RabbitListener(queues = QueueConfig.PHONE_SENT_QUEUE)
//    public void noteSentPhoneCode(String message) {
//        try {
//            int code = Integer.parseInt(NoteSendUtil.getRandom(6));
//            //将当前用户phone作为key，随机数字验证码作为value，存储十五分钟过期
//            sendUtil.sendSms(message, code);
//            redisUtils.set(message, code, 900);
//        } catch (Exception e) {
//            throw new AndroidBusinessException(e.getMessage(), ApiCode.SEND_NOTE_ERR);
//        }
//    }
//
//    @RabbitListener(queues = QueueConfig.SEND_MESSAGE_QUEUE)
//    public void sendMessage(String message) throws ParseException {
//        PushModel pushModel = FastJsonUtils.convertJSONToObject(message, PushModel.class);
//        mobPushUtils.pushMessageByRids(pushModel);
//        ArchivesUserMessage archivesUserMessage=new ArchivesUserMessage();
//        archivesUserMessage.setIsRead(1);
//        archivesUserMessage.setMessage(pushModel.getMessage());
//        archivesUserMessage.setTitle(pushModel.getTitle());
//        archivesUserMessage.setUserId(pushModel.getUserId());
//        SimpleDateFormat sdf=new SimpleDateFormat(LocalDateUtils.DATETIME_PATTERN);
//        archivesUserMessage.setCreateDate(sdf.parse(LocalDateUtils.getLocalDateTimeStr()));
//        archivesUserMessageService.save(archivesUserMessage);
//    }
//}
