package com.cloud.web.modules.send.utils;

import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.IAcsClient;
import com.aliyuncs.dysmsapi.model.v20170525.SendSmsRequest;
import com.aliyuncs.dysmsapi.model.v20170525.SendSmsResponse;
import com.aliyuncs.exceptions.ClientException;
import com.aliyuncs.http.MethodType;
import com.aliyuncs.profile.DefaultProfile;
import com.aliyuncs.profile.IClientProfile;
import com.cloud.web.modules.send.config.AlibabaSendProperties;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Random;


/**
 * 短信发送
 */
@SuppressWarnings("all")
@Slf4j
@Component
public class NoteSendUtil {

    @Autowired
    private AlibabaSendProperties alibabaSendProperties;

    /**
     * 生成指定位数的随机数
     *
     * @param length
     * @return
     */
    public static String getRandom(int length) {
        String val = "";
        Random random = new Random();
        for (int i = 0; i < length; i++) {
            int num = random.nextInt(10);
            val += String.valueOf(random.nextInt(10));
        }
        if (val.trim().length() < 4 || val.substring(0, 1).equals("0")) {
            val = getRandom(length);
        }
        return val;
    }


    public SendSmsResponse sendSms(String telphone, Integer code) throws ClientException {
        //设置超时时间

        System.setProperty("sun.net.client.defaultConnectTimeout", "10000");
        System.setProperty("sun.net.client.defaultReadTimeout", "10000");
        //初始化ascClient
        IClientProfile profile = DefaultProfile.getProfile("cn-chendu", alibabaSendProperties.getAccessKeyId(), alibabaSendProperties.getAccessKeySecret());
        DefaultProfile.addEndpoint("cn-chendu", "cn-chendu", alibabaSendProperties.getProduct(), alibabaSendProperties.getDomain());
        IAcsClient acsClient = new DefaultAcsClient(profile);
        //组装请求对象
        SendSmsRequest request = new SendSmsRequest();
        //使用post提交
        request.setMethod(MethodType.POST);
        //待发送的手机号
        request.setPhoneNumbers(telphone);
        //短信签名
        request.setSignName(alibabaSendProperties.getSignature());
        //短信模板ID
        request.setTemplateCode(alibabaSendProperties.getTemplateCode());
        //验证码
        NoteSendUtil sms = new NoteSendUtil();
        request.setTemplateParam("{\"code\":\"" + code + "\"}");
        //可选:outId为提供给业务方扩展字段,最终在短信回执消息中将此值带回给调用者
        request.setOutId(code.toString());
        SendSmsResponse response = acsClient.getAcsResponse(request);
        if (response.getCode() != null && response.getCode().equals("OK")) {
            //请求成功
            log.info("发送短信成功----------code=" + code);
        } else {
            log.error("发送失败！");
        }
        return response;
    }

}
