package com.cloud.web.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;


/**
 * @author 石家庄赵子龙
 */
@Data
public class AddPostParam {

    @ApiModelProperty("职位ID")
    private Integer id;

    @ApiModelProperty("职位名称")
    private String name;

    @ApiModelProperty("职位描述")
    private String description;

    @ApiModelProperty("薪资")
    private String compensation;

    @ApiModelProperty(value = "人数")
    private Integer peopleNumber;

    @ApiModelProperty(value = "时间")
    private Integer dayNumber;

    @ApiModelProperty(value = "费用")
    private BigDecimal charge;

    @ApiModelProperty("招聘者")
    private String recruiter;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("职位详情")
    private String details;

    @ApiModelProperty("职位类型 （1 全职 2 兼职）")
    private String type;

    @ApiModelProperty("上班时间")
    private String openDay;

    @ApiModelProperty("下班时间")
    private String endDay;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("简介图")
    private MultipartFile images;

    @ApiModelProperty("视频")
    private String video;

    @ApiModelProperty("联系电话")
    private String phone;

    @ApiModelProperty(value = "职位状态（1 上架 2 下架）")
    private Integer status;


}
