package com.cloud.web.param;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.cloud.framework.core.pagination.BasePageOrderParam;


/**
 * <pre>
 *  分页参数对象
 * </pre>
 *
 * @author zyl
 * @date 2021-01-08
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "分页参数")
public class IntegralBillPageParam extends BasePageOrderParam {
    private static final long serialVersionUID = 1L;

    @JsonIgnore
    @ApiModelProperty(hidden = true)
    private Long uid;

    @ApiModelProperty(" 全部 0 抽奖 1 提现 2 推荐奖励 3")
    private Integer type;

    @ApiModelProperty("开始日期")
    private String beginTime;

    @ApiModelProperty("结束日期")
    private String endTime;
}
