package com.cloud.web.param;

import com.cloud.framework.core.validator.constraints.ParameterLength;
import com.cloud.framework.core.validator.constraints.Phone;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author 石家庄赵子龙
 */
@Data
@ApiModel("修改密码")
public class ModifyPasswordParam {

    @NotBlank(message = "手机号不能为空")
    @Phone
    @ApiModelProperty(value = "手机号码", required = true)
    private String phone;

    @ParameterLength(min = 6, max = 12)
    @NotBlank(message = "新密码不能为空")
    @ApiModelProperty(value = "新密码", required = true)
    private String newPassword;

    @ParameterLength(min = 6, max = 12)
    @NotBlank(message = "再次输入密码不能为空")
    @ApiModelProperty(value = "再次输入密码", required = true)
    private String againPassword;

    @ApiModelProperty("验证码")
    private String telCode;

}
