package com.cloud.web.param;

import com.cloud.framework.core.pagination.BasePageOrderParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <pre>
 *  分页参数对象
 * </pre>
 *
 * @author zyl
 * @date 2021-01-08
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "分页参数")
public class PostPageParam extends BasePageOrderParam {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("职位名称")
    private String name;

    @ApiModelProperty("职位类型 全职 1 兼职 2")
    private Integer type;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("企业ID")
    private Integer companyId;

    @ApiModelProperty(name = "纬度")
    private String latitude;

    @ApiModelProperty(name = "经度")
    private String longitude;
}
