package com.cloud.web.param;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 微端授权对象
 * 
 * @author ruoyi
 */
@ApiModel(value = "WeChatBody", description = "微端授权对象")
public class WeChatBody
{

    /**
     * 应用授权作用域，
     * snsapi_base
     * snsapi_userinfo
     */
    @ApiModelProperty(value = "应用授权作用域（snsapi_base，snsapi_userinfo）")
    private String scope;

    /**
     * 授权后重定向的回调链接地址， 请使用 urlEncode 对链接进行处
     */
    @ApiModelProperty(value = "授权后重定向的回调链接地址")
    private String redirectUri;

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getRedirectUri() {
        return redirectUri;
    }

    public void setRedirectUri(String redirectUri) {
        this.redirectUri = redirectUri;
    }
}
