package com.cloud.web.params.param;

import com.cloud.framework.core.validator.constraints.ParameterLength;
import com.cloud.framework.core.validator.constraints.Phone;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author 石家庄赵子龙
 */
@Data
@ApiModel("用户注册")
public class RegisterParam {

    @NotBlank(message = "手机号不能为空")
    @Phone
    @ApiModelProperty(value = "手机号码", required = true)
    private String phone;

    @NotBlank(message = "验证码不能为空")
    @ApiModelProperty(value = "验证码", required = true)
    private String telCode;

    @ParameterLength(min = 6, max = 12)
    @NotBlank(message = "密码不能为空")
    @ApiModelProperty(value = "密码", required = true)
    private String password;

    @ParameterLength(min = 6, max = 12)
    @NotBlank(message = "再次输入密码不能为空")
    @ApiModelProperty(value = "再次输入密码", required = true)
    private String againPassword;

    @ApiModelProperty("邀请码")
    private String invitationCode;
}
