package com.cloud.web.params.param;

import com.cloud.framework.core.validator.constraints.Phone;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author 石家庄赵子龙
 */
@Data
public class RegistersParam {

    @NotBlank(message = "手机号不能为空")
    @Phone
    @ApiModelProperty(value = "手机号码", required = true)
    private String phone;

    @NotBlank(message = "密码不能为空")
    @ApiModelProperty(value = "密码", required = true)
    private String password;

    @NotBlank(message = "再次输入密码不能为空")
    @ApiModelProperty(value = "再次输入密码", required = true)
    private String againPassword;

    @ApiModelProperty("验证码")
    private String telCode;

    @ApiModelProperty(value = "邀请码")
    private String invitationCode;
}
