package com.cloud.web.params.param;

import com.cloud.framework.core.validator.constraints.ParameterLength;
import com.cloud.framework.core.validator.constraints.Phone;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
@ApiModel("普通登录封装实体")
public class UserLoginParam {

    @ApiModelProperty("电话号码")
    @Phone
    @NotBlank(message = "手机号码不能为空")
    private String phone;

    @ApiModelProperty("验证码")
    @NotBlank(message = "验证码不能为空")
    private String telCode;

    @ParameterLength(min = 6, max = 12)
    @NotBlank(message = "密码不能为空")
    @ApiModelProperty(value = "密码", required = true)
    private String password;
}
