package com.cloud.web.params.param;

import com.cloud.framework.core.validator.constraints.BankCard;
import com.cloud.framework.core.validator.constraints.Phone;
import com.google.errorprone.annotations.NoAllocation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @Author sj
 * Date on 2020/11/5  18:13
 * @Version 1.0
 */
@Data
@ApiModel("提现")
public class WithdrawDepositParam {

    @BankCard
    @ApiModelProperty(value = "银行卡号码", required = true)
    private String bankCard;

    @NotNull(message = "提现金额不能为空")
    @ApiModelProperty(value = "提现金额", required = true)
    private Integer price;

    @Phone
    @ApiModelProperty(value = "电话号码", required = true)
    private String phone;

    @ApiModelProperty(value = "银行名称", required = true)
    private String bankName;

    @ApiModelProperty(value = "姓名", required = true)
    private String name;
}
