package com.cloud.web.service;

import com.cloud.framework.core.pagination.ApiPageResult;
import com.cloud.web.entity.Announcement;
import com.cloud.web.param.AnnouncementPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.params.page.MyAnnouncementPageParam;
import com.cloud.web.vo.AnnouncementQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2022-10-24
 */
public interface AnnouncementService extends BaseService<Announcement> {

    /**
     * 保存
     *
     * @param announcement
     * @return
     * @throws Exception
     */
    boolean saveAnnouncement(Announcement announcement) throws Exception;

    /**
     * 修改
     *
     * @param announcement
     * @return
     * @throws Exception
     */
    boolean updateAnnouncement(Announcement announcement) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteAnnouncement(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    AnnouncementQueryVo getAnnouncementById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param announcementPageParam
     * @return
     * @throws Exception
     */
    Paging<Announcement> getAnnouncementPageList(AnnouncementPageParam announcementPageParam) throws Exception;

    /**
     * 获取分页对象
     *
     * @param myAnnouncementPageParam
     * @return
     * @throws Exception
     */
    ApiPageResult<AnnouncementQueryVo> getAnnouncementPageLists(MyAnnouncementPageParam myAnnouncementPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param announcementPageParam
     * @return
     * @throws Exception
     */
    Paging<AnnouncementQueryVo> getAnnouncementPageListBySql(AnnouncementPageParam announcementPageParam) throws Exception;

}
