package com.cloud.web.service;

import com.cloud.web.entity.ApplePriceSetting;
import com.cloud.web.param.ApplePriceSettingPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.vo.ApplePriceSettingQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2022-07-19
 */
public interface ApplePriceSettingService extends BaseService<ApplePriceSetting> {

    /**
     * 保存
     *
     * @param applePriceSetting
     * @return
     * @throws Exception
     */
    boolean saveApplePriceSetting(ApplePriceSetting applePriceSetting) throws Exception;

    /**
     * 修改
     *
     * @param applePriceSetting
     * @return
     * @throws Exception
     */
    boolean updateApplePriceSetting(ApplePriceSetting applePriceSetting) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteApplePriceSetting(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    ApplePriceSettingQueryVo getApplePriceSettingById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param applePriceSettingPageParam
     * @return
     * @throws Exception
     */
    Paging<ApplePriceSetting> getApplePriceSettingPageList(ApplePriceSettingPageParam applePriceSettingPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param applePriceSettingPageParam
     * @return
     * @throws Exception
     */
    Paging<ApplePriceSettingQueryVo> getApplePriceSettingPageListBySql(ApplePriceSettingPageParam applePriceSettingPageParam) throws Exception;

}
