package com.cloud.web.service;

import com.cloud.web.entity.Apply;
import com.cloud.web.param.ApplyPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.params.param.InsertApplyParam;
import com.cloud.web.vo.ApplyQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-01-09
 */
public interface ApplyService extends BaseService<Apply> {

    /**
     * 保存
     *
     * @param apply
     * @return
     * @throws Exception
     */
    boolean saveApply(Apply apply) throws Exception;

    /**
     * 修改
     *
     * @param apply
     * @return
     * @throws Exception
     */
    boolean updateApply(Apply apply) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteApply(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    ApplyQueryVo getApplyById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param applyPageParam
     * @return
     * @throws Exception
     */
    Paging<Apply> getApplyPageList(ApplyPageParam applyPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param applyPageParam
     * @return
     * @throws Exception
     */
    Paging<ApplyQueryVo> getApplyPageListBySql(ApplyPageParam applyPageParam) throws Exception;

    void addApply(InsertApplyParam insertApplyParam) throws Exception;

    /**
     * 删除
     * @param id
     */
    void delete(Long id);
}
