package com.cloud.web.service;

import com.cloud.web.entity.BaseSetting;
import com.cloud.web.param.BaseSettingPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.vo.BaseSettingQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-01-08
 */
public interface BaseSettingService extends BaseService<BaseSetting> {

    /**
     * 保存
     *
     * @param baseSetting
     * @return
     * @throws Exception
     */
    boolean saveBaseSetting(BaseSetting baseSetting) throws Exception;

    /**
     * 修改
     *
     * @param baseSetting
     * @return
     * @throws Exception
     */
    boolean updateBaseSetting(BaseSetting baseSetting) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteBaseSetting(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    BaseSettingQueryVo getBaseSettingById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param baseSettingPageParam
     * @return
     * @throws Exception
     */
    Paging<BaseSetting> getBaseSettingPageList(BaseSettingPageParam baseSettingPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param baseSettingPageParam
     * @return
     * @throws Exception
     */
    Paging<BaseSettingQueryVo> getBaseSettingPageListBySql(BaseSettingPageParam baseSettingPageParam) throws Exception;

    BaseSetting getOne();
}
