package com.cloud.web.service;

import com.cloud.web.entity.CompanyAuthentication;
import com.cloud.web.param.CompanyAuthenticationPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.params.param.InsertCompanyAuthenticationParam;
import com.cloud.web.vo.CompanyAuthenticationQueryVo;

import java.io.IOException;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 * 用户实名认证 服务类
 *
 * @author zyl
 * @since 2022-11-13
 */
public interface CompanyAuthenticationService extends BaseService<CompanyAuthentication> {

    /**
     * 保存
     *
     * @param companyAuthentication
     * @return
     * @throws Exception
     */
    boolean saveCompanyAuthentication(CompanyAuthentication companyAuthentication) throws Exception;

    /**
     * 修改
     *
     * @param companyAuthentication
     * @return
     * @throws Exception
     */
    boolean updateCompanyAuthentication(CompanyAuthentication companyAuthentication) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteCompanyAuthentication(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    CompanyAuthenticationQueryVo getCompanyAuthenticationById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param companyAuthenticationPageParam
     * @return
     * @throws Exception
     */
    Paging<CompanyAuthentication> getCompanyAuthenticationPageList(CompanyAuthenticationPageParam companyAuthenticationPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param companyAuthenticationPageParam
     * @return
     * @throws Exception
     */
    Paging<CompanyAuthenticationQueryVo> getCompanyAuthenticationPageListBySql(CompanyAuthenticationPageParam companyAuthenticationPageParam) throws Exception;

    /**
     * 企业认证
     * @param insertCompanyAuthenticationParam
     * @return
     */
    boolean addCompanyAuthentication(InsertCompanyAuthenticationParam insertCompanyAuthenticationParam) throws IOException;
}
