package com.cloud.web.service;

import com.cloud.web.entity.Company;
import com.cloud.web.param.CompanyPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.vo.CompanyQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-01-08
 */
public interface CompanyService extends BaseService<Company> {

    /**
     * 保存
     *
     * @param company
     * @return
     * @throws Exception
     */
    boolean saveCompany(Company company) throws Exception;

    /**
     * 修改
     *
     * @param company
     * @return
     * @throws Exception
     */
    boolean updateCompany(Company company) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteCompany(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    CompanyQueryVo getCompanyById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param companyPageParam
     * @return
     * @throws Exception
     */
    Paging<Company> getCompanyPageList(CompanyPageParam companyPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param companyPageParam
     * @return
     * @throws Exception
     */
    Paging<CompanyQueryVo> getCompanyPageListBySql(CompanyPageParam companyPageParam) throws Exception;

}
