package com.cloud.web.service;

import com.cloud.framework.core.pagination.ApiPageResult;
import com.cloud.web.entity.DrawDocument;
import com.cloud.web.param.DrawDocumentPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.params.page.MyDocumentPageParam;
import com.cloud.web.vo.DrawDocumentQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-01-08
 */
public interface DrawDocumentService extends BaseService<DrawDocument> {

    /**
     * 保存
     *
     * @param drawDocument
     * @return
     * @throws Exception
     */
    boolean saveDrawDocument(DrawDocument drawDocument) throws Exception;

    /**
     * 修改
     *
     * @param drawDocument
     * @return
     * @throws Exception
     */
    boolean updateDrawDocument(DrawDocument drawDocument) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteDrawDocument(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    DrawDocumentQueryVo getDrawDocumentById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param drawDocumentPageParam
     * @return
     * @throws Exception
     */
    Paging<DrawDocument> getDrawDocumentPageList(DrawDocumentPageParam drawDocumentPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param drawDocumentPageParam
     * @return
     * @throws Exception
     */
    Paging<DrawDocumentQueryVo> getDrawDocumentPageListBySql(DrawDocumentPageParam drawDocumentPageParam) throws Exception;

    ApiPageResult<DrawDocumentQueryVo> getList(MyDocumentPageParam myDocumentPageParam)throws Exception;

}
