package com.cloud.web.service;

import com.cloud.web.entity.Draw;
import com.cloud.web.param.DrawPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.vo.DrawQueryVo;
import java.io.Serializable;
import java.util.List;

import com.cloud.framework.core.pagination.Paging;
import com.cloud.web.vo.DrawVo;
import io.swagger.models.auth.In;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-01-08
 */
public interface DrawService extends BaseService<Draw> {

    /**
     * 保存
     *
     * @param draw
     * @return
     * @throws Exception
     */
    boolean saveDraw(Draw draw) throws Exception;

    /**
     * 修改
     *
     * @param draw
     * @return
     * @throws Exception
     */
    boolean updateDraw(Draw draw) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteDraw(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    DrawQueryVo getDrawById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param drawPageParam
     * @return
     * @throws Exception
     */
    Paging<Draw> getDrawPageList(DrawPageParam drawPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param drawPageParam
     * @return
     * @throws Exception
     */
    Paging<DrawQueryVo> getDrawPageListBySql(DrawPageParam drawPageParam) throws Exception;

    List<Draw> getList();

    DrawVo raffle(Long userId) throws Exception;

}
