package com.cloud.web.service;

import com.cloud.framework.core.pagination.ApiPageResult;
import com.cloud.web.entity.HelpCenter;
import com.cloud.web.param.HelpCenterPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.params.page.MyHelpPageParam;
import com.cloud.web.vo.HelpCenterQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-01-08
 */
public interface HelpCenterService extends BaseService<HelpCenter> {

    /**
     * 保存
     *
     * @param helpCenter
     * @return
     * @throws Exception
     */
    boolean saveHelpCenter(HelpCenter helpCenter) throws Exception;

    /**
     * 修改
     *
     * @param helpCenter
     * @return
     * @throws Exception
     */
    boolean updateHelpCenter(HelpCenter helpCenter) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteHelpCenter(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    HelpCenterQueryVo getHelpCenterById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param helpCenterPageParam
     * @return
     * @throws Exception
     */
    Paging<HelpCenter> getHelpCenterPageList(HelpCenterPageParam helpCenterPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param helpCenterPageParam
     * @return
     * @throws Exception
     */
    Paging<HelpCenterQueryVo> getHelpCenterPageListBySql(HelpCenterPageParam helpCenterPageParam) throws Exception;

    ApiPageResult<HelpCenterQueryVo> getHelpCenterQueryVo(MyHelpPageParam myHelpPageParam)throws Exception;

}
