package com.cloud.web.service;

import com.cloud.web.entity.HotSearch;
import com.cloud.web.param.HotSearchPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.vo.HotSearchQueryVo;
import java.io.Serializable;
import java.util.List;

import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-01-14
 */
public interface HotSearchService extends BaseService<HotSearch> {

    /**
     * 保存
     *
     * @param hotSearch
     * @return
     * @throws Exception
     */
    boolean saveHotSearch(HotSearch hotSearch) throws Exception;

    /**
     * 修改
     *
     * @param hotSearch
     * @return
     * @throws Exception
     */
    boolean updateHotSearch(HotSearch hotSearch) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteHotSearch(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    HotSearchQueryVo getHotSearchById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param hotSearchPageParam
     * @return
     * @throws Exception
     */
    Paging<HotSearch> getHotSearchPageList(HotSearchPageParam hotSearchPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param hotSearchPageParam
     * @return
     * @throws Exception
     */
    Paging<HotSearchQueryVo> getHotSearchPageListBySql(HotSearchPageParam hotSearchPageParam) throws Exception;

    List<HotSearch> getSearch();
}
