package com.cloud.web.service;

import com.cloud.framework.core.pagination.ApiPageResult;
import com.cloud.web.entity.IntegralBill;
import com.cloud.web.param.IntegralBillPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.params.page.MyIntegralPageParam;
import com.cloud.web.vo.IntegralBillQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-01-08
 */
public interface IntegralBillService extends BaseService<IntegralBill> {

    /**
     * 保存
     *
     * @param integralBill
     * @return
     * @throws Exception
     */
    boolean saveIntegralBill(IntegralBill integralBill) throws Exception;

    /**
     * 修改
     *
     * @param integralBill
     * @return
     * @throws Exception
     */
    boolean updateIntegralBill(IntegralBill integralBill) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteIntegralBill(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    IntegralBillQueryVo getIntegralBillById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param integralBillPageParam
     * @return
     * @throws Exception
     */
    Paging<IntegralBill> getIntegralBillPageList(IntegralBillPageParam integralBillPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param integralBillPageParam
     * @return
     * @throws Exception
     */
    Paging<IntegralBillQueryVo> getIntegralBillPageListBySql(IntegralBillPageParam integralBillPageParam) throws Exception;

    ApiPageResult<IntegralBillQueryVo> getBillVo(MyIntegralPageParam integralBillPageParam)throws Exception;

}
