package com.cloud.web.service;

import com.cloud.web.entity.Location;
import com.cloud.web.param.LocationPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.params.param.LocationParam;
import com.cloud.web.vo.LocationQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-04-01
 */
public interface LocationService extends BaseService<Location> {

    /**
     * 保存
     *
     * @param location
     * @return
     * @throws Exception
     */
    boolean saveLocation(Location location) throws Exception;

    /**
     * 修改
     *
     * @param location
     * @return
     * @throws Exception
     */
    boolean updateLocation(Location location) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteLocation(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    LocationQueryVo getLocationById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param locationPageParam
     * @return
     * @throws Exception
     */
    Paging<Location> getLocationPageList(LocationPageParam locationPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param locationPageParam
     * @return
     * @throws Exception
     */
    Paging<LocationQueryVo> getLocationPageListBySql(LocationPageParam locationPageParam) throws Exception;

    void addLocation(LocationParam locationParam);
}
