package com.cloud.web.service;

import com.cloud.web.entity.MemberRecords;
import com.cloud.web.param.MemberRecordsPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.vo.MemberRecordsQueryVo;

import java.io.Serializable;
import java.util.Map;

import com.cloud.framework.core.pagination.Paging;

import javax.servlet.http.HttpServletRequest;

/**
 * 服务类
 *
 * @author zyl
 * @since 2021-01-08
 */
public interface MemberRecordsService extends BaseService<MemberRecords> {

    /**
     * 保存
     *
     * @param memberRecords
     * @return
     * @throws Exception
     */
    boolean saveMemberRecords(MemberRecords memberRecords) throws Exception;

    /**
     * 修改
     *
     * @param memberRecords
     * @return
     * @throws Exception
     */
    boolean updateMemberRecords(MemberRecords memberRecords) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteMemberRecords(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    MemberRecordsQueryVo getMemberRecordsById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param memberRecordsPageParam
     * @return
     * @throws Exception
     */
    Paging<MemberRecords> getMemberRecordsPageList(MemberRecordsPageParam memberRecordsPageParam) throws Exception;

    /**
     * 获取分页对象通过sql
     *
     * @param memberRecordsPageParam
     * @return
     * @throws Exception
     */
    Paging<MemberRecordsQueryVo> getMemberRecordsPageListBySql(MemberRecordsPageParam memberRecordsPageParam) throws Exception;

    Map<String, Object> goWeChatPay(Long userId, int type, HttpServletRequest request);

    /**
     * 微信支付成功业务操作
     *
     * @param payId
     * @return
     */
    boolean paySuccessHandle(String payId) throws Exception;

    MemberRecords getOrderId(String payId);

    /**
     * 苹果内购支付
     *
     * @param userId
     * @param productId
     * @param type
     * @param request
     * @throws Exception
     */
    void applePay(Long userId, int type, String productId, HttpServletRequest request) throws Exception;

}
