package com.cloud.web.service;

import com.cloud.web.entity.OrderBuy;
import com.cloud.web.param.OrderBuyPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.vo.OrderBuyQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-11-10
 */
public interface OrderBuyService extends BaseService<OrderBuy> {

    /**
     * 保存
     *
     * @param orderBuy
     * @return
     * @throws Exception
     */
    boolean saveOrderBuy(OrderBuy orderBuy) throws Exception;

    /**
     * 修改
     *
     * @param orderBuy
     * @return
     * @throws Exception
     */
    boolean updateOrderBuy(OrderBuy orderBuy) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteOrderBuy(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    OrderBuyQueryVo getOrderBuyById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param orderBuyPageParam
     * @return
     * @throws Exception
     */
    Paging<OrderBuy> getOrderBuyPageList(OrderBuyPageParam orderBuyPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param orderBuyPageParam
     * @return
     * @throws Exception
     */
    Paging<OrderBuyQueryVo> getOrderBuyPageListBySql(OrderBuyPageParam orderBuyPageParam) throws Exception;

}
