package com.cloud.web.service;

import com.cloud.web.entity.PayrollRecords;
import com.cloud.web.param.AddPayrollRecordsParam;
import com.cloud.web.param.PayrollRecordsPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.vo.PayrollRecordsQueryVo;

import java.io.Serializable;

import com.cloud.framework.core.pagination.Paging;

/**
 * 工资记录 服务类
 *
 * @author zyl
 * @since 2022-11-01
 */
public interface PayrollRecordsService extends BaseService<PayrollRecords> {

    /**
     * 保存
     *
     * @param payrollRecords
     * @return
     * @throws Exception
     */
    boolean savePayrollRecords(PayrollRecords payrollRecords) throws Exception;

    /**
     * 修改
     *
     * @param payrollRecords
     * @return
     * @throws Exception
     */
    boolean updatePayrollRecords(PayrollRecords payrollRecords) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deletePayrollRecords(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    PayrollRecordsQueryVo getPayrollRecordsById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param payrollRecordsPageParam
     * @return
     * @throws Exception
     */
    Paging<PayrollRecords> getPayrollRecordsPageList(PayrollRecordsPageParam payrollRecordsPageParam) throws Exception;

    /**
     * 获取分页对象通过sql
     *
     * @param payrollRecordsPageParam
     * @return
     * @throws Exception
     */
    Paging<PayrollRecordsQueryVo> getPayrollRecordsPageListBySql(PayrollRecordsPageParam payrollRecordsPageParam) throws Exception;


    /**
     * 工资发放
     *
     * @param addPayrollRecordsParam
     * @return
     * @throws Exception
     */
    boolean addPayrollRecords(AddPayrollRecordsParam addPayrollRecordsParam) throws Exception;
}
