package com.cloud.web.service;

import com.cloud.web.entity.PunchCard;
import com.cloud.web.param.PunchCardPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.vo.PunchCardQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-10-08
 */
public interface PunchCardService extends BaseService<PunchCard> {

    /**
     * 保存
     *
     * @param punchCard
     * @return
     * @throws Exception
     */
    boolean savePunchCard(PunchCard punchCard) throws Exception;

    /**
     * 修改
     *
     * @param punchCard
     * @return
     * @throws Exception
     */
    boolean updatePunchCard(PunchCard punchCard) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deletePunchCard(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    PunchCardQueryVo getPunchCardById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param punchCardPageParam
     * @return
     * @throws Exception
     */
    Paging<PunchCard> getPunchCardPageList(PunchCardPageParam punchCardPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param punchCardPageParam
     * @return
     * @throws Exception
     */
    Paging<PunchCardQueryVo> getPunchCardPageListBySql(PunchCardPageParam punchCardPageParam) throws Exception;

    /**
     * 删除
     * @param id
     */
    void delete(Integer id);

}
