package com.cloud.web.service;

import com.cloud.web.entity.Servicer;
import com.cloud.web.param.ServicerPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.vo.ServicerQueryVo;
import java.io.Serializable;
import java.util.List;

import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-01-08
 */
public interface ServicerService extends BaseService<Servicer> {

    /**
     * 保存
     *
     * @param servicer
     * @return
     * @throws Exception
     */
    boolean saveServicer(Servicer servicer) throws Exception;

    /**
     * 修改
     *
     * @param servicer
     * @return
     * @throws Exception
     */
    boolean updateServicer(Servicer servicer) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteServicer(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    ServicerQueryVo getServicerById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param servicerPageParam
     * @return
     * @throws Exception
     */
    Paging<Servicer> getServicerPageList(ServicerPageParam servicerPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param servicerPageParam
     * @return
     * @throws Exception
     */
    Paging<Servicer> getServicerPageListBySql(ServicerPageParam servicerPageParam) throws Exception;

    List<Servicer> getServicer()throws Exception;
}
