package com.cloud.web.service;

import com.cloud.web.entity.WithdrawDeposit;
import com.cloud.web.params.param.InsertDepositParam;
import com.cloud.web.param.WithdrawDepositPageParam;
import com.cloud.framework.common.service.BaseService;
import com.cloud.web.vo.WithdrawDepositQueryVo;
import java.io.Serializable;
import com.cloud.framework.core.pagination.Paging;

/**
 *  服务类
 *
 * @author zyl
 * @since 2021-01-08
 */
public interface WithdrawDepositService extends BaseService<WithdrawDeposit> {

    /**
     * 保存
     *
     * @param withdrawDeposit
     * @return
     * @throws Exception
     */
    boolean saveWithdrawDeposit(WithdrawDeposit withdrawDeposit) throws Exception;

    /**
     * 修改
     *
     * @param withdrawDeposit
     * @return
     * @throws Exception
     */
    boolean updateWithdrawDeposit(WithdrawDeposit withdrawDeposit) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteWithdrawDeposit(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    WithdrawDepositQueryVo getWithdrawDepositById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param withdrawDepositPageParam
     * @return
     * @throws Exception
     */
    Paging<WithdrawDeposit> getWithdrawDepositPageList(WithdrawDepositPageParam withdrawDepositPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param withdrawDepositPageParam
     * @return
     * @throws Exception
     */
    Paging<WithdrawDepositQueryVo> getWithdrawDepositPageListBySql(WithdrawDepositPageParam withdrawDepositPageParam) throws Exception;

    void insertDeposit(Long userId, InsertDepositParam insertDepositParam)throws Exception;

}
