package com.cloud.web.service.impl;

import com.cloud.web.entity.ApplePriceSetting;

import com.cloud.web.mapper.ApplePriceSettingMapper;
import com.cloud.web.service.ApplePriceSettingService;
import com.cloud.web.param.ApplePriceSettingPageParam;
import com.cloud.web.vo.ApplePriceSettingQueryVo;
import com.cloud.framework.common.service.impl.BaseServiceImpl;
import com.cloud.framework.core.pagination.Paging;
import com.cloud.framework.core.pagination.PageInfo;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.transaction.annotation.Transactional;
import lombok.extern.slf4j.Slf4j;
import com.cloud.framework.util.QueryHelpPlus;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 *  服务实现类
 *
 * @author zyl
 * @since 2022-07-19
 */
@Slf4j
@Service
public class ApplePriceSettingServiceImpl extends BaseServiceImpl<ApplePriceSettingMapper, ApplePriceSetting> implements ApplePriceSettingService {

    @Autowired
    private ApplePriceSettingMapper applePriceSettingMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveApplePriceSetting(ApplePriceSetting applePriceSetting) throws Exception {
        return super.save(applePriceSetting);
        }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean updateApplePriceSetting(ApplePriceSetting applePriceSetting)throws Exception{
            return super.updateById(applePriceSetting);
            }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean deleteApplePriceSetting(Long id)throws Exception{
            return super.removeById(id);
            }

    @Override
    public ApplePriceSettingQueryVo getApplePriceSettingById(Serializable id)throws Exception{
            return applePriceSettingMapper.getApplePriceSettingById(id);
            }

    @Override
    public Paging<ApplePriceSettingQueryVo> getApplePriceSettingPageListBySql(ApplePriceSettingPageParam applePriceSettingPageParam)throws Exception{
            Page<ApplePriceSettingQueryVo> page=new PageInfo<>(applePriceSettingPageParam,OrderItem.desc("create_time"));
                IPage<ApplePriceSettingQueryVo> iPage= applePriceSettingMapper.getApplePriceSettingPageList(page, applePriceSettingPageParam);
            return new Paging<ApplePriceSettingQueryVo>(iPage);
            }
    @Override
    public Paging<ApplePriceSetting> getApplePriceSettingPageList(ApplePriceSettingPageParam applePriceSettingPageParam)throws Exception{
        Page<ApplePriceSetting> page=new PageInfo<>(applePriceSettingPageParam,OrderItem.desc("create_time"));
            IPage<ApplePriceSetting> iPage= applePriceSettingMapper.selectPage(page,QueryHelpPlus.getPredicate(ApplePriceSetting.class, applePriceSettingPageParam));
        return new Paging<ApplePriceSetting>(iPage);
        }

}
