package com.cloud.web.service.impl;

import com.cloud.web.entity.OrderBuy;

import com.cloud.web.mapper.OrderBuyMapper;
import com.cloud.web.service.OrderBuyService;
import com.cloud.web.param.OrderBuyPageParam;
import com.cloud.web.vo.OrderBuyQueryVo;
import com.cloud.framework.common.service.impl.BaseServiceImpl;
import com.cloud.framework.core.pagination.Paging;
import com.cloud.framework.core.pagination.PageInfo;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.transaction.annotation.Transactional;
import lombok.extern.slf4j.Slf4j;
import com.cloud.framework.util.QueryHelpPlus;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 *  服务实现类
 *
 * @author zyl
 * @since 2021-11-10
 */
@Slf4j
@Service
public class OrderBuyServiceImpl extends BaseServiceImpl<OrderBuyMapper, OrderBuy> implements OrderBuyService {

    @Autowired
    private OrderBuyMapper orderBuyMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveOrderBuy(OrderBuy orderBuy) throws Exception {
        return super.save(orderBuy);
        }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean updateOrderBuy(OrderBuy orderBuy)throws Exception{
            return super.updateById(orderBuy);
            }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean deleteOrderBuy(Long id)throws Exception{
            return super.removeById(id);
            }

    @Override
    public OrderBuyQueryVo getOrderBuyById(Serializable id)throws Exception{
            return orderBuyMapper.getOrderBuyById(id);
            }

    @Override
    public Paging<OrderBuyQueryVo> getOrderBuyPageListBySql(OrderBuyPageParam orderBuyPageParam)throws Exception{
            Page<OrderBuyQueryVo> page=new PageInfo<>(orderBuyPageParam,OrderItem.desc("create_time"));
                IPage<OrderBuyQueryVo> iPage= orderBuyMapper.getOrderBuyPageList(page, orderBuyPageParam);
            return new Paging<OrderBuyQueryVo>(iPage);
            }
    @Override
    public Paging<OrderBuy> getOrderBuyPageList(OrderBuyPageParam orderBuyPageParam)throws Exception{
        Page<OrderBuy> page=new PageInfo<>(orderBuyPageParam,OrderItem.desc("create_time"));
            IPage<OrderBuy> iPage= orderBuyMapper.selectPage(page,QueryHelpPlus.getPredicate(OrderBuy.class, orderBuyPageParam));
        return new Paging<OrderBuy>(iPage);
        }

}
