package com.cloud.web.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cloud.framework.core.pagination.ApiPageResult;
import com.cloud.web.entity.Servicer;

import com.cloud.web.mapper.ServicerMapper;
import com.cloud.web.params.page.MyServicerPageParam;
import com.cloud.web.service.ServicerService;
import com.cloud.web.param.ServicerPageParam;
import com.cloud.web.vo.ServicerQueryVo;
import com.cloud.framework.common.service.impl.BaseServiceImpl;
import com.cloud.framework.core.pagination.Paging;
import com.cloud.framework.core.pagination.PageInfo;

import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cloud.web.vo.ServicerVo;
import org.springframework.transaction.annotation.Transactional;
import lombok.extern.slf4j.Slf4j;
import com.cloud.framework.util.QueryHelpPlus;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * 服务实现类
 *
 * @author zyl
 * @since 2021-01-08
 */
@Slf4j
@Service
public class ServicerServiceImpl extends BaseServiceImpl<ServicerMapper, Servicer> implements ServicerService {

    @Autowired
    private ServicerMapper servicerMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveServicer(Servicer servicer) throws Exception {
        return super.save(servicer);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean updateServicer(Servicer servicer) throws Exception {
        return super.updateById(servicer);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean deleteServicer(Long id) throws Exception {
        return super.removeById(id);
    }

    @Override
    public ServicerQueryVo getServicerById(Serializable id) throws Exception {
        return servicerMapper.getServicerById(id);
    }

    @Override
    public Paging<Servicer> getServicerPageList(ServicerPageParam servicerPageParam) throws Exception {
        Page<Servicer> page = new PageInfo<>(servicerPageParam, OrderItem.desc("create_time"));
        IPage<Servicer> iPage = servicerMapper.selectPage(page, QueryHelpPlus.getPredicate(Servicer.class, servicerPageParam));
        return new Paging<Servicer>(iPage);
    }

    @Override
    public Paging<Servicer> getServicerPageListBySql(ServicerPageParam servicerPageParam) throws Exception {
        return null;
    }

    @Override
    public List<Servicer> getServicer() throws Exception {
        return servicerMapper.selectList(new QueryWrapper<>());
    }
}
