package com.cloud.web.util;

import com.cloud.web.modules.pay.wechat.util.WXSignUtils;
import org.apache.http.HttpEntity;
import org.apache.http.client.config.RequestConfig;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.conn.ssl.SSLConnectionSocketFactory;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.ssl.SSLContexts;
import org.apache.http.util.EntityUtils;
import org.springframework.util.ResourceUtils;

import javax.net.ssl.SSLContext;
import java.io.*;
import java.math.BigDecimal;
import java.security.KeyStore;
import java.security.PublicKey;
import java.util.*;
/**
 * @author 石家庄赵子龙
 */
public class WeChatWithdrawalBankUtil {

    private static final String TRANS_URL = "https://api.mch.weixin.qq.com/mmpaysptrans/pay_bank";

    // 微信商户appkey
    private static String appKey = "hEl9BevLDQ6jahHFJGWcPjPIyAWJa29i";

    // 微信商户证书路径
    private static String certPath = "http://recruit.api.ciyuantiaoyue.com/apiclient_cert.p12";


    // 微信支付分配的商户号
    private static String mchId = "1608112070";

    //证书密码
    private static String sslPassword = "1608112070";

    //pkcs1公钥路径
    private static String keyfile = "";

    // 请求器的配置
    private static RequestConfig requestConfig;

    // 连接超时时间，默认10秒
    private static int socketTimeout = 10000;

    // 传输超时时间，默认30秒
    private static int connectTimeout = 30000;

    /**
     *银行卡提现
     * @param partnerTradeNo 商户订单号，需保持唯一性(只能是字母或者数字，不能包含有其他字符) 必填
     * @param encBankNo 收款方银行卡号
     * @param encTrueName 收款方用户名
     * @param bankCode 银行卡所在开户行编号 t_system_bank的bank_id字段
     * @param amount 付款金额 单位为元 必填
     * @param desc 付款备注 必填
     * @return result 返回结果列子（是一个xml字符串）:
     * <xml>
     * <return_code><![CDATA[SUCCESS]]></return_code>
     * <return_msg><![CDATA[支付成功]]></return_msg>
     * <result_code><![CDATA[SUCCESS]]></result_code>
     * <err_code><![CDATA[SUCCESS]]></err_code>
     * <err_code_des><![CDATA[微信侧受理成功]]></err_code_des>
     * <nonce_str><![CDATA[50780e0cca98c8c8e814883e5caa672e]]></nonce_str>
     * <mch_id><![CDATA[2302758702]]></mch_id>
     * <partner_trade_no><![CDATA[1212121221278]]></partner_trade_no>
     * <amount>500</amount>
     * <payment_no><![CDATA[10000600500852017030900000020006012]]></payment_no>
     * <cmms_amt>0</cmms_amt>
     * </xml>
     *判断 失败：result.contains("CDATA[FAIL]") 返回true 失败 false成功
     * SAXBuilder saxBuilder = new SAXBuilder();
     * Document doc = saxBuilder.build(new StringReader(result));
     * 获取错误原因：return doc.getRootElement().getChild("err_code_des").getValue();
     *  成功 获取交易单号：return doc.getRootElement().getChild("payment_no").getValue();
     */
    public static String doTransfers(String partnerTradeNo, String encBankNo, String encTrueName,String bankCode,BigDecimal amount, String desc){
        String result ="success";
        try
        {
            String nonceStr = genNonceStr();

//            String rsa ="RSA/ECB/OAEPWITHSHA-1ANDMGF1PADDING";
//            StringBuffer pkcs1Path = new StringBuffer();
//            pkcs1Path.append("classpath:").append(keyfile);
//            PublicKey pub=RSAUtils.getPubKey(pkcs1Path.toString(),"RSA");
//            byte[] estr=RSAUtils.encrypt(encBankNo.getBytes(),pub,2048, 11,rsa);   //对银行账号进行加密
//            encBankNo =WxBase64.encode(estr);//并转为base64格式
//            byte[] estr2=RSAUtils.encrypt(encTrueName.getBytes(),pub,2048, 11,rsa);   //对银行账号进行加密
//            encTrueName=WxBase64.encode(estr2);//并转为base64格式

            SortedMap<String, String> parameters = new TreeMap<String, String>();
            parameters.put("amount", amount.multiply(new BigDecimal("100")).intValue()+"");
            parameters.put("desc", desc);
            parameters.put("mch_id", mchId);
            parameters.put("nonce_str", nonceStr);
            parameters.put("enc_bank_no", encBankNo);
            parameters.put("enc_true_name", encTrueName);
            parameters.put("bank_code", bankCode);
            parameters.put("partner_trade_no", partnerTradeNo);
            parameters.put("sign", createSign(parameters, appKey));
            String data = SortedMaptoXml(parameters);
            // 3.加载证书请求接口
            System.out.println(data);
            result = weChatWithdrawal(data);
            System.out.println("------aaaaa------"+result);
        }
        catch (Exception e)
        {
            e.printStackTrace();
            return "银行卡提现失败";
        }
        return result;
    }


    /**
     * 证书使用
     * 微信提现
     */
    @SuppressWarnings("deprecation")
    public static String weChatWithdrawal(String data) throws Exception {
        KeyStore keyStore = KeyStore.getInstance("PKCS12");

        StringBuffer pkcsPath = new StringBuffer();
        pkcsPath.append("classpath:").append(certPath);
        System.out.println("certPath"+certPath);
        InputStream instream = null;
        try {
            instream = ResourceUtils.getURL(certPath).openStream();
        } catch (IOException var10) {
        }

        if (instream == null) {
            return null;
        }

        String result = "";
        try {
            keyStore.load(instream, sslPassword.toCharArray());
        } finally {
            instream.close();
        }

        // Trust own CA and all self-signed certs
        SSLContext sslcontext = SSLContexts.custom()
                .loadKeyMaterial(keyStore, sslPassword.toCharArray())
                .build();
        // Allow TLSv1 protocol only
        SSLConnectionSocketFactory sslsf = new SSLConnectionSocketFactory(
                sslcontext,
                new String[]{"TLSv1"},
                null,
                SSLConnectionSocketFactory.BROWSER_COMPATIBLE_HOSTNAME_VERIFIER);
        CloseableHttpClient httpclient = HttpClients.custom()
                .setSSLSocketFactory(sslsf)
                .build();
        try {
            HttpPost httppost = new HttpPost(TRANS_URL);
            StringEntity entitys = new StringEntity(data,"UTF-8");
            httppost.setEntity((HttpEntity) entitys);
            // 根据默认超时限制初始化requestConfig
            requestConfig = RequestConfig.custom().setSocketTimeout(socketTimeout).setConnectTimeout(connectTimeout).build();
            // 设置请求器的配置
            httppost.setConfig(requestConfig);
            CloseableHttpResponse response = httpclient.execute(httppost);
            try {
                HttpEntity entity = response.getEntity();
                result = EntityUtils.toString(entity,"UTF-8");
            } finally {
                response.close();
            }
        } finally {
            httpclient.close();
        }
        return result;
    }

    /**
     * 生成32位随机数字
     */
    public static String genNonceStr() {
        Random random = new Random();
        return WXSignUtils.md5Password(String.valueOf(random.nextInt(10000)));
//        return MD5.getMessageDigest(String.valueOf(random.nextInt(10000)).getBytes());
    }

    /**
     * 创建md5摘要,规则是:按参数名称a-z排序,遇到空值的参数不参加签名。
     */
    public static String createSign(SortedMap<String, String> packageParams, String AppKey) {
        StringBuffer sb = new StringBuffer();
        Set es = packageParams.entrySet();
        Iterator it = es.iterator();
        while (it.hasNext()) {
            Map.Entry entry = (Map.Entry) it.next();
            String k = (String) entry.getKey();
            String v = (String) entry.getValue();
            if (null != v && !"".equals(v) && !"sign".equals(k) && !"key".equals(k)) {
                sb.append(k + "=" + v + "&");
            }
        }
        sb.append("key=" + AppKey);
//        String sign = MD5Util.MD5Encode(sb.toString(), "UTF-8").toUpperCase();
        String sign = WXSignUtils.md5Password(sb.toString());
        return sign;
    }

    /**
     * @param params
     * @Author: WQY
     * @Description:请求值转换为xml格式 SortedMap转xml
     * @Date: 2017-9-7 17:18
     */
    private static String SortedMaptoXml(SortedMap<String, String> params) {
        StringBuilder sb = new StringBuilder();
        Set es = params.entrySet();
        Iterator it = es.iterator();
        sb.append("<xml>\n");
        while (it.hasNext()) {
            Map.Entry entry = (Map.Entry) it.next();
            String k = (String) entry.getKey();
            Object v = entry.getValue();
            sb.append("<" + k + ">");
            sb.append(v);
            sb.append("</" + k + ">\n");
        }
        sb.append("</xml>");
        return sb.toString();
    }

    public static void main(String[] args) {

        try {
            String results = WeChatWithdrawalBankUtil.doTransfers("20211216121523187","6217855000023263734","赵杨龙","1026",new BigDecimal("0.01"),"测试一分钱");
            System.out.println("-----" +results);
        }catch(Exception e){
            e.printStackTrace();
        }
    }

}
