package com.cloud.web.vo;


import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 * <pre>
 *  查询结果对象
 * </pre>
 *
 * @author zyl
 * @date 2022-10-24
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "AnnouncementQueryVo对象")
public class AnnouncementQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id ")
    private Integer id;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("创建者")
    @JsonIgnore
    private String createBy;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    @ApiModelProperty("更新者")
    @JsonIgnore
    private String updateBy;

    @ApiModelProperty("更新时间")
    @JsonIgnore
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @JsonIgnore
    private Boolean deleted;
}