package com.cloud.web.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.cloud.framework.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.Date;


/**
 * <pre>
 * 用户实名认证 查询结果对象
 * </pre>
 *
 * @author zyl
 * @date 2022-11-13
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "CompanyAuthenticationQueryVo对象")
public class CompanyAuthenticationQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("法人")
    private String legalPerson;

    @ApiModelProperty("营业执照")
    private String businessLicense;

    @ApiModelProperty("联系人")
    private String contact;

    @ApiModelProperty("联系电话")
    private String contactPhone;

    @ApiModelProperty("联系地址")
    private String contactAddress;

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("用户名电话")
    private String userPhone;

    @ApiModelProperty("状态 0 待审核 1 审核通过 2 审核失败")
    private Integer status;

    @ApiModelProperty("失败原因")
    private String causeFailure;

    @ApiModelProperty("创建者")
    private String createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新者")
    private String updateBy;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("是否删除")
    private Boolean deleted;

    @ApiModelProperty("备注")
    private String remark;
}