package com.cloud.web.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.cloud.framework.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.Date;


/**
 * <pre>
 *  查询结果对象
 * </pre>
 *
 * @author zyl
 * @date 2021-01-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "DrawDocumentQueryVo对象")
public class DrawDocumentQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("抽奖记录id")
    private Integer id;

    @ApiModelProperty("用户id")
    @JsonIgnore
    private Integer userId;

    @ApiModelProperty("用户名")
    @JsonIgnore
    private String userName;

    @ApiModelProperty("奖品id")
    private Integer drawId;

    @ApiModelProperty("奖品名称")
    private String drawName;

    @ApiModelProperty("⁮奖励积分数")
    private Integer drawIntegral;

    @ApiModelProperty("创建者")
    @JsonIgnore
    private String createBy;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("更新者")
    @JsonIgnore
    private String updateBy;

    @ApiModelProperty("更新时间")
    @JsonIgnore
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @JsonIgnore
    private Boolean deleted;
}