package com.cloud.web.vo;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 * <pre>
 *  查询结果对象
 * </pre>
 *
 * @author zyl
 * @date 2021-01-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "IntegralBillQueryVo对象")
public class IntegralBillQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("积分类型")
    private String title;

    @ApiModelProperty("数量")
    private String amount;

    @ApiModelProperty("进出(1 进 2 出)")
    @JsonIgnore
    private String inOut;

    @ApiModelProperty("用户id")
    @JsonIgnore
    private Integer uid;

    @ApiModelProperty("用户名")
    @JsonIgnore
    private String uname;

    @ApiModelProperty("创建者")
    @JsonIgnore
    private String createBy;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty("更新者")
    @JsonIgnore
    private String updateBy;

    @ApiModelProperty("更新时间")
    @JsonIgnore
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @JsonIgnore
    private Boolean deleted;

    @ApiModelProperty(value = "备注")
    private String remark;

}