package com.cloud.web.vo;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 * <pre>
 *  查询结果对象
 * </pre>
 *
 * @author zyl
 * @date 2021-01-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "PostQueryVo对象")
public class PostQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("职位id")
    private Integer id;

    @ApiModelProperty("职位名称")
    private String name;

    @ApiModelProperty("薪资")
    private String compensation;

    @ApiModelProperty("公司id")
    private Integer companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("招聘者")
    private String recruiter;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("职位详情")
    private String details;

    @ApiModelProperty("职位状态（1 正常 2 下架）")
    private Integer status;

    @ApiModelProperty("职位类型 （1 全职 2 兼职）")
    private String type;

    @ApiModelProperty("创建者")
    @JsonIgnore
    private String createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新者")
    @JsonIgnore
    private String updateBy;

    @ApiModelProperty("更新时间")
    private String updateTime;

    @ApiModelProperty("是否删除")
    @JsonIgnore
    private Boolean deleted;

    @ApiModelProperty("上班时间")
    private String openDay;

    @ApiModelProperty("下班时间")
    private String endDay;

    @ApiModelProperty(name = "纬度")
    private String latitude;

    @ApiModelProperty(name = "经度")
    private String longitude;

    @ApiModelProperty("简介图片")
    private String image;

    @ApiModelProperty("视频")
    private String video;

    @ApiModelProperty("联系电话")
    private String phone;

    @ApiModelProperty("是否购买职位信息（0 否 1 是）")
    private Integer isBuy;

    @ApiModelProperty("距离")
    private String distance;

    @ApiModelProperty("描述")
    private String description;
}