package com.cloud.web.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("职位信息")
public class PostVo {

    @ApiModelProperty("职位id")
    private Integer id;

    @ApiModelProperty("职位名称")
    private String name;

    @ApiModelProperty("薪资")
    private String compensation;

    @ApiModelProperty(value = "人数")
    private Integer peopleNumber;

    @ApiModelProperty(value = "时间")
    private Integer dayNumber;

    @ApiModelProperty(value = "费用")
    private BigDecimal charge;

    @ApiModelProperty("公司id")
    private Integer companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("招聘者")
    private String recruiter;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("职位详情")
    private String details;

    @ApiModelProperty("上班时间")
    private String openDay;

    @ApiModelProperty("下班时间")
    private String endDay;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("职位类型 （1 全职 2 兼职）")
    private String type;

    @ApiModelProperty("简介图片")
    private String image;

    @ApiModelProperty("视频")
    private String video;

    @ApiModelProperty("联系电话")
    private String phone;

    @ApiModelProperty("职位状态（1 正常 2 下架）")
    private Integer status;

    @ApiModelProperty("联系企业说明")
    private String consumeExplain;

}
