package com.cloud.web.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.cloud.framework.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.Date;


/**
 * <pre>
 * 用户实名认证 查询结果对象
 * </pre>
 *
 * @author zyl
 * @date 2022-11-13
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "UserAuthenticationQueryVo对象")
public class UserAuthenticationQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("姓名")
    private String realName;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("身份证人像面")
    private String beforeImage;

    @ApiModelProperty("身份证国徽面")
    private String afterImage;

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("用户名电话")
    private String userPhone;

    @ApiModelProperty("状态 0 待审核 1 审核通过 2 审核失败")
    private Integer status;

    @ApiModelProperty("失败原因")
    private String causeFailure;

    @ApiModelProperty("创建者")
    private String createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新者")
    private String updateBy;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("是否删除")
    private Boolean deleted;

    @ApiModelProperty("备注")
    private String remark;
}