package com.cloud.web.vo;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 * <pre>
 *  查询结果对象
 * </pre>
 *
 * @author zyl
 * @date 2021-01-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "UserQueryVo对象")
public class UserQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("头像")
    private String headImg;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty("性别")
    private Integer sex;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("工作经验")
    private String experience;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("自我评价")
    private String selfEvaluation;

    @ApiModelProperty("用户积分")
    private Integer integral;

    @ApiModelProperty("展示用户积分")
    private Integer showIntegral;

    @ApiModelProperty("是否开通会员（1 未开通 2 开通）")
    private Integer isMember;

    @ApiModelProperty("邀请码")
    private String invitationCode;

    @ApiModelProperty("会员开通时间")
    private Date openingDate;

    @ApiModelProperty("创建者")
    @JsonIgnore
    private String createBy;

    @ApiModelProperty("创建时间")
    @JsonIgnore
    private Date createTime;

    @ApiModelProperty("更新者")
    @JsonIgnore
    private String updateBy;

    @ApiModelProperty("更新时间")
    @JsonIgnore
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @JsonIgnore
    private Boolean deleted;

    @ApiModelProperty("抽奖次数")
    private Integer drawNumber;

    @ApiModelProperty("是否开通推荐管（1 未开通 2 开通）")
    private Integer isReferrer;

    @ApiModelProperty("是否完善信息（1 否 2 是）")
    private Integer isChange;

    @ApiModelProperty("绑定公司ID")
    private Integer companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("是否是企业号")
    private Integer isCompany;

    @ApiModelProperty("公司名logo")
    private String companyLogo;

    @ApiModelProperty("公司简介")
    private String companyIntro;

    @ApiModelProperty("简介图")
    private String image;

    @ApiModelProperty("是否被录用")
    private Boolean isApply;

    @ApiModelProperty("是否实名认证（0 否 1 是）")
    private Integer isUserAuthentication;

    @ApiModelProperty("是否企业认证（0 否 1 是）")
    private Integer isCompanyAuthentication;
}