package com.cloud.scheduled.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cloud.scheduled.entity.QuartzJob;
import com.cloud.scheduled.param.QuartzJobPageParam;
import com.cloud.scheduled.vo.QuartzJobQueryVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 *  Mapper 接口
 *
 * @author sj
 * @since 2020-10-07
 */
@Repository
public interface QuartzJobMapper extends BaseMapper<QuartzJob> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    QuartzJobQueryVo getQuartzJobById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param quartzJobPageParam
     * @return
     */
    IPage<QuartzJobQueryVo> getQuartzJobPageList(@Param("page") Page page, @Param("param") QuartzJobPageParam quartzJobPageParam);

}
