package com.cloud.scheduled.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cloud.scheduled.entity.QuartzLog;
import com.cloud.scheduled.param.QuartzLogPageParam;
import com.cloud.scheduled.vo.QuartzLogQueryVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * 定时任务日志 Mapper 接口
 *
 * @author sj
 * @since 2020-10-07
 */
@Repository
public interface QuartzLogMapper extends BaseMapper<QuartzLog> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    QuartzLogQueryVo getQuartzLogById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param quartzLogPageParam
     * @return
     */
    IPage<QuartzLogQueryVo> getQuartzLogPageList(@Param("page") Page page, @Param("param") QuartzLogPageParam quartzLogPageParam);

}
