package com.cloud.scheduled.service;

import com.cloud.framework.common.service.BaseService;
import com.cloud.framework.core.pagination.Paging;
import com.cloud.scheduled.entity.QuartzLog;
import com.cloud.scheduled.entity.dto.QuartzLogDto;
import com.cloud.scheduled.entity.dto.QuartzLogQueryCriteria;
import com.cloud.scheduled.param.QuartzLogPageParam;
import com.cloud.scheduled.vo.QuartzLogQueryVo;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 定时任务日志 服务类
 *
 * @author sj
 * @since 2020-10-07
 */
public interface QuartzLogService extends BaseService<QuartzLog> {

    /**
     * 保存
     *
     * @param quartzLog
     * @return
     * @throws Exception
     */
    boolean saveQuartzLog(QuartzLog quartzLog) throws Exception;

    /**
     * 修改
     *
     * @param quartzLog
     * @return
     * @throws Exception
     */
    boolean updateQuartzLog(QuartzLog quartzLog) throws Exception;

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean deleteQuartzLog(Long id) throws Exception;

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    QuartzLogQueryVo getQuartzLogById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param quartzLogPageParam
     * @return
     * @throws Exception
     */
    Paging<QuartzLog> getQuartzLogPageList(QuartzLogPageParam quartzLogPageParam) throws Exception;
    /**
     * 获取分页对象通过sql
     *
     * @param quartzLogPageParam
     * @return
     * @throws Exception
     */
    Paging<QuartzLogQueryVo> getQuartzLogPageListBySql(QuartzLogPageParam quartzLogPageParam) throws Exception;


}
