package com.cloud.scheduled.util;

import com.cloud.framework.util.SpringContextHolder;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.util.ReflectionUtils;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.concurrent.Callable;
import java.util.function.Supplier;

/**
 * @author sj
 * @date 2020/10/7  15:30
 */
@Slf4j
public class QuartzRunnable implements Supplier {

    private Object target;
    private Method method;
    private String params;

    QuartzRunnable(String beanName, String methodName, String params)
            throws NoSuchMethodException, SecurityException {
        this.target = SpringContextHolder.getBean(beanName);
        this.params = params;

        if (StringUtils.isNotBlank(params)) {
            this.method = target.getClass().getDeclaredMethod(methodName, String.class);
        } else {
            this.method = target.getClass().getDeclaredMethod(methodName);
        }
    }

//    @Override
//    public Object call() throws Exception {
//        ReflectionUtils.makeAccessible(method);
//        if (StringUtils.isNotBlank(params)) {
//            method.invoke(target, params);
//        } else {
//            method.invoke(target);
//        }
//        return null;
//    }

    @Override
    public Object get() {
        ReflectionUtils.makeAccessible(method);
        try {
            if (StringUtils.isNotBlank(params)) {
                method.invoke(target, params);
            } else {
                method.invoke(target);
            }
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        } catch (InvocationTargetException e) {
            e.printStackTrace();
        }
        return null;
    }
}
