package com.cloud.scheduled.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.cloud.framework.core.validator.groups.Update;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;


/**
 * <pre>
 *  查询结果对象
 * </pre>
 *
 * @author sj
 * @date 2020-10-07
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "QuartzJobQueryVo对象")
public class QuartzJobQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty("编号")
    private Long id;

    @ApiModelProperty("触发器类型（1为SimpleTrigger触发器 2为CoreTrigger触发器)")
    private Integer triggerType;

    @ApiModelProperty("任务名称")
    private String jobName;

    @ApiModelProperty("corn表达式")
    private String cronExpression;

    @ApiModelProperty("状态：1暂停、0启用")
    private Boolean isPause;

    @ApiModelProperty("javaBean名称")
    private String beanName;

    @ApiModelProperty("方法名称")
    private String methodName;

    @ApiModelProperty("方法参数 多参数使用json")
    private String params;

    @ApiModelProperty("开始执行时间")
    private Date executeStartTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("执行次数")
    private Integer forEver;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("逻辑删除")
    private Integer deleted;

    @ApiModelProperty("备注")
    private String remark;

}